!
! ********************************************************************
! *                                                                  *
! *  Copyright 2001 Compaq Computer Corporation                      *
! *                                                                  *
! *  COMPAQ Registered in U.S. Patent and Trademark Office.          *
! *                                                                  *
! *  Confidential computer software. Valid license from Compaq or    *
! *  authorized sublicensor required for possession, use or copying. *
! *  Consistent with FAR 12.211 and 12.212, Commercial Computer      *
! *  Software, Computer Software Documentation, and Technical Data   *
! *  for Commercial Items are licensed to the U.S. Government under  *
! *  vendor's standard commercial license.                           *
! *                                                                  *
! ********************************************************************
!
!DEC$ IF .NOT. DEFINED (USER32_ )
!DEC$ DEFINE xUSER32_  
!
!
!
!         *****USER32.LIB Interfaces*****
! 
!     This module defines routine interfaces to the Windows APIs
!     for both the 32-bit (_M_IX86) and 64-bit (_M_IA64) versions of the
!     NT4 and WIN2000 operating systems.  
!
!     The base for this version is: 
!
!           Microsoft Platform Software Development Kit (SDK)
!                Win64 Pre-alpha February 2000
!
!     As with the C header files distributed with the SDK, there
!     is only one common set of files for both 64-bit and 32-bit
!     operating systems.
!   
!     Within the Fortran versions of the header files, the
!     following symbols are used to control the compilation.
! 
!     _M_IA64 conditionally compiles items for 64 bit systems.
!     _M_IX86 conditionally compiles items for 32 bit systesm.
!
!     Known problems: 
!
!07-12-00
!
module user32
use dfwinty
!DEC$OBJCOMMENT LIB:"USER32.LIB"
!
INTERFACE 
FUNCTION wvsprintf( &
        arg1, &
        arg2, &
        arglist)
USE DFWINTY
  integer(SINT) :: wvsprintf ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'wvsprintfA' :: wvsprintf
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
  character*(*) arg1 ! LPSTR arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  character*(*) arg2 ! LPCSTR arg2
  TYPE(T_VA_LIST) arglist ! va_list arglist
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LoadKeyboardLayout( &
        pwszKLID, &
        Flags)
USE DFWINTY
  integer(HANDLE) :: LoadKeyboardLayout ! HKL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadKeyboardLayoutA' :: LoadKeyboardLayout
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pwszKLID
  character*(*) pwszKLID ! LPCSTR pwszKLID
  integer(UINT) Flags ! UINT Flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ActivateKeyboardLayout( &
        hkl, &
        Flags)
USE DFWINTY
  integer(HANDLE) :: ActivateKeyboardLayout ! HKL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ActivateKeyboardLayout' :: ActivateKeyboardLayout
  integer(HANDLE) hkl ! HKL hkl
  integer(UINT) Flags ! UINT Flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ToUnicodeEx( &
        wVirtKey, &
        wScanCode, &
        lpKeyState, &
        pwszBuff, &
        cchBuff, &
        wFlags, &
        dwhkl)
USE DFWINTY
  integer(SINT) :: ToUnicodeEx ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ToUnicodeEx' :: ToUnicodeEx
  integer(UINT) wVirtKey ! UINT wVirtKey
  integer(UINT) wScanCode ! UINT wScanCode
  integer(LPBYTE) lpKeyState ! BYTE* lpKeyState
!xxxx ATTRIBUTES REFERENCE :: pwszBuff
! integer(WCHAR)(*) pwszBuff ! LPWSTR pwszBuff
  integer(LPWSTR) pwszBuff ! LPWSTR pwszBuff
  integer(SINT) cchBuff ! int cchBuff
  integer(UINT) wFlags ! UINT wFlags
  integer(HANDLE) dwhkl ! HKL dwhkl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UnloadKeyboardLayout( &
        hkl)
USE DFWINTY
  integer(BOOL) :: UnloadKeyboardLayout ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnloadKeyboardLayout' :: UnloadKeyboardLayout
  integer(HANDLE) hkl ! HKL hkl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetKeyboardLayoutName( &
        pwszKLID)
USE DFWINTY
  integer(BOOL) :: GetKeyboardLayoutName ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKeyboardLayoutNameA' :: GetKeyboardLayoutName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pwszKLID
  character*(*) pwszKLID ! LPSTR pwszKLID
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetKeyboardLayoutList( &
        nBuff, &
        lpList)
USE DFWINTY
  integer(SINT) :: GetKeyboardLayoutList ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKeyboardLayoutList' :: GetKeyboardLayoutList
  integer(SINT) nBuff ! int nBuff
  integer(LPVOID) lpList ! HKL* lpList
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetKeyboardLayout( &
        idThread)
USE DFWINTY
  integer(HANDLE) :: GetKeyboardLayout ! HKL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKeyboardLayout' :: GetKeyboardLayout
  integer(DWORD) idThread ! DWORD idThread
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION GetMouseMovePointsEx( &
        cbSize, &
        lppt, &
        lpptBuf, &
        nBufPoints, &
        resolution)
USE DFWINTY
  integer(SINT) :: GetMouseMovePointsEx ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMouseMovePointsEx' :: GetMouseMovePointsEx
  integer(UINT) cbSize ! UINT cbSize
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lppt
  TYPE (T_MOUSEMOVEPOINT) lppt ! LPMOUSEMOVEPOINT lppt
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpptBuf
  TYPE (T_MOUSEMOVEPOINT) lpptBuf ! LPMOUSEMOVEPOINT lpptBuf
  integer(SINT) nBufPoints ! int nBufPoints
  integer(DWORD) resolution ! DWORD resolution
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION CreateDesktop( &
        lpszDesktop, &
        lpszDevice, &
        pDevmode, &
        dwFlags, &
        dwDesiredAccess, &
        lpsa)
USE DFWINTY
  integer(HANDLE) :: CreateDesktop ! HDESK
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDesktopA' :: CreateDesktop
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDesktop
  character*(*) lpszDesktop ! LPCSTR lpszDesktop
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDevice
  character*(*) lpszDevice ! LPCSTR lpszDevice
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pDevmode
  TYPE (T_DEVMODE) pDevmode ! LPDEVMODEA pDevmode
  integer(DWORD) dwFlags ! DWORD dwFlags
  integer(ULONG) dwDesiredAccess ! ACCESS_MASK dwDesiredAccess
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpsa
  TYPE (T_SECURITY_ATTRIBUTES) lpsa ! LPSECURITY_ATTRIBUTES lpsa
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OpenDesktop( &
        lpszDesktop, &
        dwFlags, &
        fInherit, &
        dwDesiredAccess)
USE DFWINTY
  integer(HANDLE) :: OpenDesktop ! HDESK
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OpenDesktopA' :: OpenDesktop
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDesktop
  character*(*) lpszDesktop ! LPCSTR lpszDesktop
  integer(DWORD) dwFlags ! DWORD dwFlags
  integer(BOOL) fInherit ! BOOL fInherit
  integer(ULONG) dwDesiredAccess ! ACCESS_MASK dwDesiredAccess
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OpenInputDesktop( &
        dwFlags, &
        fInherit, &
        dwDesiredAccess)
USE DFWINTY
  integer(HANDLE) :: OpenInputDesktop ! HDESK
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OpenInputDesktop' :: OpenInputDesktop
  integer(DWORD) dwFlags ! DWORD dwFlags
  integer(BOOL) fInherit ! BOOL fInherit
  integer(ULONG) dwDesiredAccess ! ACCESS_MASK dwDesiredAccess
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumDesktops( &
        hwinsta, &
        lpEnumFunc, &
        lParam)
USE DFWINTY
  integer(BOOL) :: EnumDesktops ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumDesktopsA' :: EnumDesktops
  integer(HANDLE) hwinsta ! HWINSTA hwinsta
  integer(LPVOID) lpEnumFunc ! DESKTOPENUMPROCA lpEnumFunc
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumDesktopWindows( &
        hDesktop, &
        lpfn, &
        lParam)
USE DFWINTY
  integer(BOOL) :: EnumDesktopWindows ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumDesktopWindows' :: EnumDesktopWindows
  integer(HANDLE) hDesktop ! HDESK hDesktop
     integer(LPVOID) lpfn ! WNDENUMPROC lpfn
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SwitchDesktop( &
        hDesktop)
USE DFWINTY
  integer(BOOL) :: SwitchDesktop ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SwitchDesktop' :: SwitchDesktop
  integer(HANDLE) hDesktop ! HDESK hDesktop
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetThreadDesktop( &
        hDesktop)
USE DFWINTY
  integer(BOOL) :: SetThreadDesktop ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetThreadDesktop' :: SetThreadDesktop
  integer(HANDLE) hDesktop ! HDESK hDesktop
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CloseDesktop( &
        hDesktop)
USE DFWINTY
  integer(BOOL) :: CloseDesktop ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CloseDesktop' :: CloseDesktop
  integer(HANDLE) hDesktop ! HDESK hDesktop
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetThreadDesktop( &
        dwThreadId)
USE DFWINTY
  integer(HANDLE) :: GetThreadDesktop ! HDESK
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetThreadDesktop' :: GetThreadDesktop
  integer(DWORD) dwThreadId ! DWORD dwThreadId
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateWindowStation( &
        lpwinsta, &
        dwReserved, &
        dwDesiredAccess, &
        lpsa)
USE DFWINTY
  integer(HANDLE) :: CreateWindowStation ! HWINSTA
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateWindowStationA' :: CreateWindowStation
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpwinsta
  character*(*) lpwinsta ! LPCSTR lpwinsta
  integer(DWORD) dwReserved ! DWORD dwReserved
  integer(ULONG) dwDesiredAccess ! ACCESS_MASK dwDesiredAccess
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpsa
  TYPE (T_SECURITY_ATTRIBUTES) lpsa ! LPSECURITY_ATTRIBUTES lpsa
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OpenWindowStation( &
        lpszWinSta, &
        fInherit, &
        dwDesiredAccess)
USE DFWINTY
  integer(HANDLE) :: OpenWindowStation ! HWINSTA
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OpenWindowStationA' :: OpenWindowStation
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszWinSta
  character*(*) lpszWinSta ! LPCSTR lpszWinSta
  integer(BOOL) fInherit ! BOOL fInherit
  integer(ULONG) dwDesiredAccess ! ACCESS_MASK dwDesiredAccess
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumWindowStations( &
        lpEnumFunc, &
        lParam)
USE DFWINTY
  integer(BOOL) :: EnumWindowStations ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumWindowStationsA' :: EnumWindowStations
  integer(LPVOID) lpEnumFunc ! WINSTAENUMPROCA lpEnumFunc
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CloseWindowStation( &
        hWinSta)
USE DFWINTY
  integer(BOOL) :: CloseWindowStation ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CloseWindowStation' :: CloseWindowStation
  integer(HANDLE) hWinSta ! HWINSTA hWinSta
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetProcessWindowStation( &
        hWinSta)
USE DFWINTY
  integer(BOOL) :: SetProcessWindowStation ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetProcessWindowStation' :: SetProcessWindowStation
  integer(HANDLE) hWinSta ! HWINSTA hWinSta
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetProcessWindowStation(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetProcessWindowStation ! HWINSTA
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetProcessWindowStation' :: GetProcessWindowStation
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetUserObjectSecurity( &
        hObj, &
        pSIRequested, &
        pSID)
USE DFWINTY
  integer(BOOL) :: SetUserObjectSecurity ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetUserObjectSecurity' :: SetUserObjectSecurity
  integer(HANDLE) hObj ! HANDLE hObj
!!xxxx ATTRIBUTES REFERENCE, IGNORE_LOC :: pSIRequested
  integer(PDWORD) pSIRequested ! PSECURITY_INFORMATION pSIRequested
  integer(PVOID) pSID ! PSECURITY_DESCRIPTOR pSID
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetUserObjectSecurity( &
        hObj, &
        pSIRequested, &
        pSID, &
        nLength, &
        lpnLengthNeeded)
USE DFWINTY
  integer(BOOL) :: GetUserObjectSecurity ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetUserObjectSecurity' :: GetUserObjectSecurity
  integer(HANDLE) hObj ! HANDLE hObj
!DxExCx$ ATTRIBUTES REFERENCE, IGNORE_LOC :: pSIRequested
  integer(LPVOID) pSIRequested ! PSECURITY_INFORMATION pSIRequested
  integer(PVOID) pSID ! PSECURITY_DESCRIPTOR pSID
  integer(DWORD) nLength ! DWORD nLength
  integer(LPDWORD) lpnLengthNeeded ! LPDWORD lpnLengthNeeded
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetUserObjectInformation( &
        hObj, &
        nIndex, &
        pvInfo, &
        nLength, &
        lpnLengthNeeded)
USE DFWINTY
  integer(BOOL) :: GetUserObjectInformation ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetUserObjectInformationA' :: GetUserObjectInformation
  integer(HANDLE) hObj ! HANDLE hObj
  integer(SINT) nIndex ! int nIndex
  integer(PVOID) pvInfo ! PVOID pvInfo
  integer(DWORD) nLength ! DWORD nLength
  integer(LPDWORD) lpnLengthNeeded ! LPDWORD lpnLengthNeeded
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetUserObjectInformation( &
        hObj, &
        nIndex, &
        pvInfo, &
        nLength)
USE DFWINTY
  integer(BOOL) :: SetUserObjectInformation ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetUserObjectInformationA' :: SetUserObjectInformation
  integer(HANDLE) hObj ! HANDLE hObj
  integer(SINT) nIndex ! int nIndex
  integer(PVOID) pvInfo ! PVOID pvInfo
  integer(DWORD) nLength ! DWORD nLength
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RegisterWindowMessage( &
        lpString)
USE DFWINTY
  integer(UINT) :: RegisterWindowMessage ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RegisterWindowMessageA' :: RegisterWindowMessage
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IX86)
FUNCTION TrackMouseEvent( &
        lpEventTrack)
USE DFWINTY
  integer(BOOL) :: TrackMouseEvent ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TrackMouseEvent' :: TrackMouseEvent
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpEventTrack
  TYPE (T_TRACKMOUSEEVENT) lpEventTrack ! LPTRACKMOUSEEVENT lpEventTrack
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION DrawEdge( &
        hdc, &
        qrc, &
        edge, &
        grfFlags)
USE DFWINTY
  integer(BOOL) :: DrawEdge ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawEdge' :: DrawEdge
  integer(HANDLE) hdc ! HDC hdc
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: qrc
  TYPE (T_RECT) qrc ! LPRECT qrc
  integer(UINT) edge ! UINT edge
  integer(UINT) grfFlags ! UINT grfFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawFrameControl( &
        arg1, &
        arg2, &
        arg3, &
        arg4)
USE DFWINTY
  integer(BOOL) :: DrawFrameControl ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawFrameControl' :: DrawFrameControl
  integer(HANDLE) arg1 ! HDC arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  TYPE (T_RECT) arg2 ! LPRECT arg2
  integer(UINT) arg3 ! UINT arg3
  integer(UINT) arg4 ! UINT arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawCaption( &
        arg1, &
        arg2, &
        arg3, &
        arg4)
USE DFWINTY
  integer(BOOL) :: DrawCaption ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawCaption' :: DrawCaption
  integer(HANDLE) arg1 ! HWND arg1
  integer(HANDLE) arg2 ! HDC arg2
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
  TYPE (T_RECT)  arg3 ! RECT*  arg3
  integer(UINT) arg4 ! UINT arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawAnimatedRects( &
        hwnd, &
        idAni, &
        lprcFrom, &
        lprcTo)
USE DFWINTY
  integer(BOOL) :: DrawAnimatedRects ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawAnimatedRects' :: DrawAnimatedRects
  integer(HANDLE) hwnd ! HWND hwnd
  integer(SINT) idAni ! int idAni
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcFrom
  TYPE (T_RECT)  lprcFrom ! RECT*  lprcFrom
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcTo
  TYPE (T_RECT)  lprcTo ! RECT*  lprcTo
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMessage( &
        lpMsg, &
        hWnd, &
        wMsgFilterMin, &
        wMsgFilterMax)
USE DFWINTY
  integer(BOOL) :: GetMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMessageA' :: GetMessage
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMsg
  TYPE (T_MSG) lpMsg ! LPMSG lpMsg
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) wMsgFilterMin ! UINT wMsgFilterMin
  integer(UINT) wMsgFilterMax ! UINT wMsgFilterMax
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION TranslateMessage( &
        lpMsg)
USE DFWINTY
  integer(BOOL) :: TranslateMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TranslateMessage' :: TranslateMessage
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMsg
  TYPE (T_MSG) lpMsg ! MSG* lpMsg
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DispatchMessage( &
        lpMsg)
USE DFWINTY
  integer(LRESULT) :: DispatchMessage ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DispatchMessageA' :: DispatchMessage
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMsg
  TYPE (T_MSG) lpMsg ! MSG* lpMsg
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetMessageQueue( &
        cMessagesMax)
USE DFWINTY
  integer(BOOL) :: SetMessageQueue ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMessageQueue' :: SetMessageQueue
  integer(SINT) cMessagesMax ! int cMessagesMax
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION PeekMessage( &
        lpMsg, &
        hWnd, &
        wMsgFilterMin, &
        wMsgFilterMax, &
        wRemoveMsg)
USE DFWINTY
  integer(BOOL) :: PeekMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PeekMessageA' :: PeekMessage
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMsg
  TYPE (T_MSG) lpMsg ! LPMSG lpMsg
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) wMsgFilterMin ! UINT wMsgFilterMin
  integer(UINT) wMsgFilterMax ! UINT wMsgFilterMax
  integer(UINT) wRemoveMsg ! UINT wRemoveMsg
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RegisterHotKey( &
        hWnd, &
        id, &
        fsModifiers, &
        vk)
USE DFWINTY
  integer(BOOL) :: RegisterHotKey ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RegisterHotKey' :: RegisterHotKey
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) id ! int id
  integer(UINT) fsModifiers ! UINT fsModifiers
  integer(UINT) vk ! UINT vk
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UnregisterHotKey( &
        hWnd, &
        id)
USE DFWINTY
  integer(BOOL) :: UnregisterHotKey ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnregisterHotKey' :: UnregisterHotKey
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) id ! int id
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ExitWindowsEx( &
        uFlags, &
        dwReserved)
USE DFWINTY
  integer(BOOL) :: ExitWindowsEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExitWindowsEx' :: ExitWindowsEx
  integer(UINT) uFlags ! UINT uFlags
  integer(DWORD) dwReserved ! DWORD dwReserved
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SwapMouseButton( &
        fSwap)
USE DFWINTY
  integer(BOOL) :: SwapMouseButton ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SwapMouseButton' :: SwapMouseButton
  integer(BOOL) fSwap ! BOOL fSwap
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMessagePos(  &
             )
USE DFWINTY
  integer(DWORD) :: GetMessagePos ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMessagePos' :: GetMessagePos
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMessageTime(  &
             )
USE DFWINTY
  integer(LONG) :: GetMessageTime ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMessageTime' :: GetMessageTime
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMessageExtraInfo(  &
             )
USE DFWINTY
  integer(LONG_PTR) :: GetMessageExtraInfo ! LPARAM
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMessageExtraInfo' :: GetMessageExtraInfo
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetMessageExtraInfo( &
        lParam)
USE DFWINTY
  integer(LONG_PTR) :: SetMessageExtraInfo ! LPARAM
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMessageExtraInfo' :: SetMessageExtraInfo
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SendMessage( &
        hWnd, &
        Msg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(LRESULT) :: SendMessage ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SendMessageA' :: SendMessage
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SendMessageTimeout( &
        hWnd, &
        Msg, &
        wParam, &
        lParam, &
        fuFlags, &
        uTimeout, &
        lpdwResult)
USE DFWINTY
  integer(LRESULT) :: SendMessageTimeout ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SendMessageTimeoutA' :: SendMessageTimeout
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
  integer(UINT) fuFlags ! UINT fuFlags
  integer(UINT) uTimeout ! UINT uTimeout
!!xxxx ATTRIBUTES REFERENCE, IGNORE_LOC :: lpdwResult
  integer(PDWORD) lpdwResult ! PDWORD_PTR lpdwResult
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SendNotifyMessage( &
        hWnd, &
        Msg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(BOOL) :: SendNotifyMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SendNotifyMessageA' :: SendNotifyMessage
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SendMessageCallback( &
        hWnd, &
        Msg, &
        wParam, &
        lParam, &
        lpResultCallBack, &
        dwData)
USE DFWINTY
  integer(BOOL) :: SendMessageCallback ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SendMessageCallbackA' :: SendMessageCallback
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
  integer(LPVOID) lpResultCallBack ! SENDASYNCPROC lpResultCallBack
  integer(ULONG_PTR) dwData ! ULONG_PTR dwData
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION RegisterDeviceNotification( &
        hRecipient, &
        NotificationFilter, &
        Flags)
USE DFWINTY
  integer(PVOID) :: RegisterDeviceNotification ! HDEVNOTIFY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RegisterDeviceNotificationA' :: RegisterDeviceNotification
  integer(HANDLE) hRecipient ! HANDLE hRecipient
  integer(LPVOID) NotificationFilter ! LPVOID NotificationFilter
  integer(DWORD) Flags ! DWORD Flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UnregisterDeviceNotification( &
        aHandle)
USE DFWINTY
  integer(BOOL) :: UnregisterDeviceNotification ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnregisterDeviceNotification' :: UnregisterDeviceNotification
  integer(PVOID) aHandle ! HDEVNOTIFY Handle
!DEC$ ENDIF
!DEC$ IF DEFINED( _M_IX86)
FUNCTION BroadcastSystemMessage( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5)
USE DFWINTY
  integer(LONG) :: BroadcastSystemMessage ! long
    !DEC$ ATTRIBUTES DEFAULT :: BroadcastSystemMessage
    !DEC$IF DEFINED(_M_IX86)
    !DEC$ ATTRIBUTES STDCALL, ALIAS:'_BroadcastSystemMessageA@20' :: BroadcastSystemMessage
    !DEC$ ELSE
    !DEC$ ATTRIBUTES STDCALL, ALIAS:'BroadcastSystemMessageA' :: BroadcastSystemMessage
    !DEC$ ENDIF
  integer(DWORD) arg1 ! DWORD arg1
  integer(LPDWORD) arg2 ! LPDWORD arg2
  integer(UINT) arg3 ! UINT arg3
  integer(UINT) arg4 ! WPARAM arg4
  integer(LONG) arg5 ! LPARAM arg5
!DEC$ ENDIF
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION PostMessage( &
        hWnd, &
        Msg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(BOOL) :: PostMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PostMessageA' :: PostMessage
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION PostThreadMessage( &
        idThread, &
        Msg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(BOOL) :: PostThreadMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PostThreadMessageA' :: PostThreadMessage
  integer(DWORD) idThread ! DWORD idThread
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION AttachThreadInput( &
        idAttach, &
        idAttachTo, &
        fAttach)
USE DFWINTY
  integer(BOOL) :: AttachThreadInput ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AttachThreadInput' :: AttachThreadInput
  integer(DWORD) idAttach ! DWORD idAttach
  integer(DWORD) idAttachTo ! DWORD idAttachTo
  integer(BOOL) fAttach ! BOOL fAttach
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ReplyMessage( &
        alResult)
USE DFWINTY
  integer(BOOL) :: ReplyMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ReplyMessage' :: ReplyMessage
  integer(LRESULT) alResult ! LRESULT lResult
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION WaitMessage(  &
             )
USE DFWINTY
  integer(BOOL) :: WaitMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'WaitMessage' :: WaitMessage
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION WaitForInputIdle( &
        hProcess, &
        dwMilliseconds)
USE DFWINTY
  integer(DWORD) :: WaitForInputIdle ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'WaitForInputIdle' :: WaitForInputIdle
  integer(HANDLE) hProcess ! HANDLE hProcess
  integer(DWORD) dwMilliseconds ! DWORD dwMilliseconds
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DefWindowProc( &
        hWnd, &
        Msg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(LRESULT) :: DefWindowProc ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DefWindowProcA' :: DefWindowProc
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE PostQuitMessage( &
        nExitCode)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PostQuitMessage' :: PostQuitMessage
  integer(SINT) nExitCode ! int nExitCode
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION CallWindowProc( &
        lpPrevWndFunc, &
        hWnd, &
        Msg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(LRESULT) :: CallWindowProc ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CallWindowProcA' :: CallWindowProc
    integer(LPVOID) lpPrevWndFunc ! WNDPROC lpPrevWndFunc
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION InSendMessage(  &
             )
USE DFWINTY
  integer(BOOL) :: InSendMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InSendMessage' :: InSendMessage
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION InSendMessageEx( &
        lpReserved)
USE DFWINTY
  integer(DWORD) :: InSendMessageEx ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InSendMessageEx' :: InSendMessageEx
  integer(LPVOID) lpReserved ! LPVOID lpReserved
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION GetDoubleClickTime(  &
             )
USE DFWINTY
  integer(UINT) :: GetDoubleClickTime ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDoubleClickTime' :: GetDoubleClickTime
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetDoubleClickTime( &
        arg1)
USE DFWINTY
  integer(BOOL) :: SetDoubleClickTime ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetDoubleClickTime' :: SetDoubleClickTime
  integer(UINT) arg1 ! UINT arg1
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RegisterClass( &
        lpWndClass)
USE DFWINTY
  integer(USHORT) :: RegisterClass ! ATOM
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RegisterClassA' :: RegisterClass
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpWndClass
  TYPE (T_WNDCLASS) lpWndClass ! WNDCLASSA* lpWndClass
 END FUNCTION
END INTERFACE
INTERFACE UnregisterClass
FUNCTION UnregisterClass_G1( &
        lpClassName, &
        hInstance)
USE DFWINTY
  integer(BOOL) :: UnregisterClass_G1 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnregisterClassA' :: UnregisterClass_G1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpClassName
  character*(*) lpClassName ! LPCSTR lpClassName
  integer(HANDLE) hInstance ! HINSTANCE hInstance
 END FUNCTION
FUNCTION UnregisterClass_G2( &
        lpClassName, &
        hInstance)
USE DFWINTY
  integer(BOOL) :: UnregisterClass_G2 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnregisterClassA' :: UnregisterClass_G2
  integer(LPVOID) lpClassName ! LPCSTR lpClassName
  integer(HANDLE) hInstance ! HINSTANCE hInstance
 END FUNCTION
END INTERFACE
INTERFACE GetClassInfo
FUNCTION GetClassInfo_G1( &
        hInstance, &
        lpClassName, &
        lpWndClass)
USE DFWINTY
  integer(BOOL) :: GetClassInfo_G1 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClassInfoA' :: GetClassInfo_G1
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpClassName
  character*(*) lpClassName ! LPCSTR lpClassName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpWndClass
  TYPE (T_WNDCLASS) lpWndClass ! LPWNDCLASSA lpWndClass
 END FUNCTION
FUNCTION GetClassInfo_G2( &
        hInstance, &
        lpClassName, &
        lpWndClass)
USE DFWINTY
  integer(BOOL) :: GetClassInfo_G2 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClassInfoA' :: GetClassInfo_G2
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpClassName ! LPCSTR lpClassName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpWndClass
  TYPE (T_WNDCLASS) lpWndClass ! LPWNDCLASSA lpWndClass
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RegisterClassEx( &
        arg1)
USE DFWINTY
  integer(USHORT) :: RegisterClassEx ! ATOM
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RegisterClassExA' :: RegisterClassEx
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
  TYPE (T_WNDCLASSEX)  arg1 ! WNDCLASSEXA*  arg1
 END FUNCTION
END INTERFACE
INTERFACE GetClassInfoEx
FUNCTION GetClassInfoEx_G1( &
        arg1, &
        arg2, &
        arg3)
USE DFWINTY
  integer(BOOL) :: GetClassInfoEx_G1 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClassInfoExA' :: GetClassInfoEx_G1
  integer(HANDLE) arg1 ! HINSTANCE arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  character*(*) arg2 ! LPCSTR arg2
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
  TYPE (T_WNDCLASSEX) arg3 ! LPWNDCLASSEXA arg3
 END FUNCTION
FUNCTION GetClassInfoEx_G2( &
        arg1, &
        arg2, &
        arg3)
USE DFWINTY
  integer(BOOL) :: GetClassInfoEx_G2 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClassInfoExA' :: GetClassInfoEx_G2
  integer(HANDLE) arg1 ! HINSTANCE arg1
  integer(LPVOID) arg2 ! LPCSTR arg2
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
  TYPE (T_WNDCLASSEX) arg3 ! LPWNDCLASSEXA arg3
 END FUNCTION
END INTERFACE
INTERFACE CreateWindowEx
FUNCTION CreateWindowEx_G1( &
        dwExStyle, &
        lpClassName, &
        lpWindowName, &
        dwStyle, &
        X, &
        Y, &
        nWidth, &
        nHeight, &
        hWndParent, &
        hMenu, &
        hInstance, &
        lpParam)
USE DFWINTY
  integer(HANDLE) :: CreateWindowEx_G1 ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateWindowExA' :: CreateWindowEx_G1
  integer(DWORD) dwExStyle ! DWORD dwExStyle
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpClassName
  character*(*) lpClassName ! LPCSTR lpClassName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpWindowName
  character*(*) lpWindowName ! LPCSTR lpWindowName
  integer(DWORD) dwStyle ! DWORD dwStyle
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
  integer(SINT) nWidth ! int nWidth
  integer(SINT) nHeight ! int nHeight
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpParam ! LPVOID lpParam
 END FUNCTION
FUNCTION CreateWindowEx_G2( &
        dwExStyle, &
        lpClassName, &
        lpWindowName, &
        dwStyle, &
        X, &
        Y, &
        nWidth, &
        nHeight, &
        hWndParent, &
        hMenu, &
        hInstance, &
        lpParam)
USE DFWINTY
  integer(HANDLE) :: CreateWindowEx_G2 ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateWindowExA' :: CreateWindowEx_G2
  integer(DWORD) dwExStyle ! DWORD dwExStyle
  integer(LPVOID) lpClassName ! LPCSTR lpClassName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpWindowName
  character*(*) lpWindowName ! LPCSTR lpWindowName
  integer(DWORD) dwStyle ! DWORD dwStyle
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
  integer(SINT) nWidth ! int nWidth
  integer(SINT) nHeight ! int nHeight
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpParam ! LPVOID lpParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsWindow( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: IsWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsWindow' :: IsWindow
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsMenu( &
        hMenu)
USE DFWINTY
  integer(BOOL) :: IsMenu ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsMenu' :: IsMenu
  integer(HANDLE) hMenu ! HMENU hMenu
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsChild( &
        hWndParent, &
        hWnd)
USE DFWINTY
  integer(BOOL) :: IsChild ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsChild' :: IsChild
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DestroyWindow( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: DestroyWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DestroyWindow' :: DestroyWindow
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ShowWindow( &
        hWnd, &
        nCmdShow)
USE DFWINTY
  integer(BOOL) :: ShowWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ShowWindow' :: ShowWindow
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nCmdShow ! int nCmdShow
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION AnimateWindow( &
        hWnd, &
        dwTime, &
        dwFlags)
USE DFWINTY
  integer(BOOL) :: AnimateWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AnimateWindow' :: AnimateWindow
  integer(HANDLE) hWnd ! HWND hWnd
  integer(DWORD) dwTime ! DWORD dwTime
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION ShowWindowAsync( &
        hWnd, &
        nCmdShow)
USE DFWINTY
  integer(BOOL) :: ShowWindowAsync ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ShowWindowAsync' :: ShowWindowAsync
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nCmdShow ! int nCmdShow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FlashWindow( &
        hWnd, &
        bInvert)
USE DFWINTY
  integer(BOOL) :: FlashWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlashWindow' :: FlashWindow
  integer(HANDLE) hWnd ! HWND hWnd
  integer(BOOL) bInvert ! BOOL bInvert
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION FlashWindowEx( &
        pfwi)
USE DFWINTY
  integer(BOOL) :: FlashWindowEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlashWindowEx' :: FlashWindowEx
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pfwi
  TYPE (T_FLASHWINFO) pfwi ! PFLASHWINFO pfwi
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION ShowOwnedPopups( &
        hWnd, &
        fShow)
USE DFWINTY
  integer(BOOL) :: ShowOwnedPopups ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ShowOwnedPopups' :: ShowOwnedPopups
  integer(HANDLE) hWnd ! HWND hWnd
  integer(BOOL) fShow ! BOOL fShow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OpenIcon( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: OpenIcon ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OpenIcon' :: OpenIcon
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CloseWindow( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: CloseWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CloseWindow' :: CloseWindow
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MoveWindow( &
        hWnd, &
        X, &
        Y, &
        nWidth, &
        nHeight, &
        bRepaint)
USE DFWINTY
  integer(BOOL) :: MoveWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MoveWindow' :: MoveWindow
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
  integer(SINT) nWidth ! int nWidth
  integer(SINT) nHeight ! int nHeight
  integer(BOOL) bRepaint ! BOOL bRepaint
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowPos( &
        hWnd, &
        hWndInsertAfter, &
        X, &
        Y, &
        cx, &
        cy, &
        uFlags)
USE DFWINTY
  integer(BOOL) :: SetWindowPos ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowPos' :: SetWindowPos
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hWndInsertAfter ! HWND hWndInsertAfter
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
  integer(SINT) cx ! int cx
  integer(SINT) cy ! int cy
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowPlacement( &
        hWnd, &
        lpwndpl)
USE DFWINTY
  integer(BOOL) :: GetWindowPlacement ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowPlacement' :: GetWindowPlacement
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpwndpl
  TYPE (T_WINDOWPLACEMENT) lpwndpl ! WINDOWPLACEMENT* lpwndpl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowPlacement( &
        hWnd, &
        lpwndpl)
USE DFWINTY
  integer(BOOL) :: SetWindowPlacement ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowPlacement' :: SetWindowPlacement
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpwndpl
  TYPE (T_WINDOWPLACEMENT) lpwndpl ! WINDOWPLACEMENT* lpwndpl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION BeginDeferWindowPos( &
        nNumWindows)
USE DFWINTY
  integer(HANDLE) :: BeginDeferWindowPos ! HDWP
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'BeginDeferWindowPos' :: BeginDeferWindowPos
  integer(SINT) nNumWindows ! int nNumWindows
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DeferWindowPos( &
        hWinPosInfo, &
        hWnd, &
        hWndInsertAfter, &
        x, &
        y, &
        cx, &
        cy, &
        uFlags)
USE DFWINTY
  integer(HANDLE) :: DeferWindowPos ! HDWP
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DeferWindowPos' :: DeferWindowPos
  integer(HANDLE) hWinPosInfo ! HDWP hWinPosInfo
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hWndInsertAfter ! HWND hWndInsertAfter
  integer(SINT) x ! int x
  integer(SINT) y ! int y
  integer(SINT) cx ! int cx
  integer(SINT) cy ! int cy
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EndDeferWindowPos( &
        hWinPosInfo)
USE DFWINTY
  integer(BOOL) :: EndDeferWindowPos ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EndDeferWindowPos' :: EndDeferWindowPos
  integer(HANDLE) hWinPosInfo ! HDWP hWinPosInfo
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsWindowVisible( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: IsWindowVisible ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsWindowVisible' :: IsWindowVisible
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsIconic( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: IsIconic ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsIconic' :: IsIconic
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION AnyPopup(  &
             )
USE DFWINTY
  integer(BOOL) :: AnyPopup ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AnyPopup' :: AnyPopup
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION BringWindowToTop( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: BringWindowToTop ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'BringWindowToTop' :: BringWindowToTop
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsZoomed( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: IsZoomed ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsZoomed' :: IsZoomed
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE CreateDialogParam
FUNCTION CreateDialogParam_G1( &
        hInstance, &
        lpTemplateName, &
        hWndParent, &
        lpDialogFunc, &
        dwInitParam)
USE DFWINTY
  integer(HANDLE) :: CreateDialogParam_G1 ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDialogParamA' :: CreateDialogParam_G1
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpTemplateName
  character*(*) lpTemplateName ! LPCSTR lpTemplateName
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(LPVOID) lpDialogFunc ! DLGPROC lpDialogFunc
  integer(LONG_PTR) dwInitParam ! LPARAM dwInitParam
 END FUNCTION
FUNCTION CreateDialogParam_G2( &
        hInstance, &
        lpTemplateName, &
        hWndParent, &
        lpDialogFunc, &
        dwInitParam)
USE DFWINTY
  integer(HANDLE) :: CreateDialogParam_G2 ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDialogParamA' :: CreateDialogParam_G2
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpTemplateName ! LPCSTR lpTemplateName
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(LPVOID) lpDialogFunc ! DLGPROC lpDialogFunc
  integer(LONG_PTR) dwInitParam ! LPARAM dwInitParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateDialogIndirectParam( &
        hInstance, &
        lpTemplate, &
        hWndParent, &
        lpDialogFunc, &
        dwInitParam)
USE DFWINTY
  integer(HANDLE) :: CreateDialogIndirectParam ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDialogIndirectParamA' :: CreateDialogIndirectParam
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpTemplate
  TYPE(T_DLGTEMPLATE)  lpTemplate ! LPCDLGTEMPLATEA lpTemplate
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(LPVOID) lpDialogFunc ! DLGPROC lpDialogFunc
  integer(LONG_PTR) dwInitParam ! LPARAM dwInitParam
 END FUNCTION
END INTERFACE
INTERFACE DialogBoxParam
FUNCTION DialogBoxParam_G1( &
        hInstance, &
        lpTemplateName, &
        hWndParent, &
        lpDialogFunc, &
        dwInitParam)
USE DFWINTY
  integer(INT_PTR) :: DialogBoxParam_G1 ! INT_PTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DialogBoxParamA' :: DialogBoxParam_G1
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpTemplateName
  character*(*) lpTemplateName ! LPCSTR lpTemplateName
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(LPVOID) lpDialogFunc ! DLGPROC lpDialogFunc
  integer(LONG_PTR) dwInitParam ! LPARAM dwInitParam
 END FUNCTION
FUNCTION DialogBoxParam_G2( &
        hInstance, &
        lpTemplateName, &
        hWndParent, &
        lpDialogFunc, &
        dwInitParam)
USE DFWINTY
  integer(INT_PTR) :: DialogBoxParam_G2 ! INT_PTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DialogBoxParamA' :: DialogBoxParam_G2
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpTemplateName ! LPCSTR lpTemplateName
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(LPVOID) lpDialogFunc ! DLGPROC lpDialogFunc
  integer(LONG_PTR) dwInitParam ! LPARAM dwInitParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DialogBoxIndirectParam( &
        hInstance, &
        hDialogTemplate, &
        hWndParent, &
        lpDialogFunc, &
        dwInitParam)
USE DFWINTY
  integer(INT_PTR) :: DialogBoxIndirectParam ! INT_PTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DialogBoxIndirectParamA' :: DialogBoxIndirectParam
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: hDialogTemplate
  TYPE(T_DLGTEMPLATE)  hDialogTemplate ! LPCDLGTEMPLATEA hDialogTemplate
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(LPVOID) lpDialogFunc ! DLGPROC lpDialogFunc
  integer(LONG_PTR) dwInitParam ! LPARAM dwInitParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EndDialog( &
        hDlg, &
        nResult)
USE DFWINTY
  integer(BOOL) :: EndDialog ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EndDialog' :: EndDialog
  integer(HANDLE) hDlg ! HWND hDlg
  integer(INT_PTR) nResult ! INT_PTR nResult
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetDlgItem( &
        hDlg, &
        nIDDlgItem)
USE DFWINTY
  integer(HANDLE) :: GetDlgItem ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDlgItem' :: GetDlgItem
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDDlgItem ! int nIDDlgItem
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetDlgItemInt( &
        hDlg, &
        nIDDlgItem, &
        uValue, &
        bSigned)
USE DFWINTY
  integer(BOOL) :: SetDlgItemInt ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetDlgItemInt' :: SetDlgItemInt
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDDlgItem ! int nIDDlgItem
  integer(UINT) uValue ! UINT uValue
  integer(BOOL) bSigned ! BOOL bSigned
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetDlgItemInt( &
        hDlg, &
        nIDDlgItem, &
        lpTranslated, &
        bSigned)
USE DFWINTY
  integer(UINT) :: GetDlgItemInt ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDlgItemInt' :: GetDlgItemInt
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDDlgItem ! int nIDDlgItem
  integer(LPBOOL) lpTranslated ! BOOL* lpTranslated
  integer(BOOL) bSigned ! BOOL bSigned
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetDlgItemText( &
        hDlg, &
        nIDDlgItem, &
        lpString)
USE DFWINTY
  integer(BOOL) :: SetDlgItemText ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetDlgItemTextA' :: SetDlgItemText
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDDlgItem ! int nIDDlgItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetDlgItemText( &
        hDlg, &
        nIDDlgItem, &
        lpString, &
        nMaxCount)
USE DFWINTY
  integer(UINT) :: GetDlgItemText ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDlgItemTextA' :: GetDlgItemText
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDDlgItem ! int nIDDlgItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPSTR lpString
  integer(SINT) nMaxCount ! int nMaxCount
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CheckDlgButton( &
        hDlg, &
        nIDButton, &
        uCheck)
USE DFWINTY
  integer(BOOL) :: CheckDlgButton ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CheckDlgButton' :: CheckDlgButton
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDButton ! int nIDButton
  integer(UINT) uCheck ! UINT uCheck
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CheckRadioButton( &
        hDlg, &
        nIDFirstButton, &
        nIDLastButton, &
        nIDCheckButton)
USE DFWINTY
  integer(BOOL) :: CheckRadioButton ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CheckRadioButton' :: CheckRadioButton
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDFirstButton ! int nIDFirstButton
  integer(SINT) nIDLastButton ! int nIDLastButton
  integer(SINT) nIDCheckButton ! int nIDCheckButton
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsDlgButtonChecked( &
        hDlg, &
        nIDButton)
USE DFWINTY
  integer(UINT) :: IsDlgButtonChecked ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsDlgButtonChecked' :: IsDlgButtonChecked
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDButton ! int nIDButton
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SendDlgItemMessage( &
        hDlg, &
        nIDDlgItem, &
        Msg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(LRESULT) :: SendDlgItemMessage ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SendDlgItemMessageA' :: SendDlgItemMessage
  integer(HANDLE) hDlg ! HWND hDlg
  integer(SINT) nIDDlgItem ! int nIDDlgItem
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetNextDlgGroupItem( &
        hDlg, &
        hCtl, &
        bPrevious)
USE DFWINTY
  integer(HANDLE) :: GetNextDlgGroupItem ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetNextDlgGroupItem' :: GetNextDlgGroupItem
  integer(HANDLE) hDlg ! HWND hDlg
  integer(HANDLE) hCtl ! HWND hCtl
  integer(BOOL) bPrevious ! BOOL bPrevious
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetNextDlgTabItem( &
        hDlg, &
        hCtl, &
        bPrevious)
USE DFWINTY
  integer(HANDLE) :: GetNextDlgTabItem ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetNextDlgTabItem' :: GetNextDlgTabItem
  integer(HANDLE) hDlg ! HWND hDlg
  integer(HANDLE) hCtl ! HWND hCtl
  integer(BOOL) bPrevious ! BOOL bPrevious
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetDlgCtrlID( &
        hWnd)
USE DFWINTY
  integer(SINT) :: GetDlgCtrlID ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDlgCtrlID' :: GetDlgCtrlID
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetDialogBaseUnits(  &
             )
USE DFWINTY
  integer(LONG) :: GetDialogBaseUnits ! long
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDialogBaseUnits' :: GetDialogBaseUnits
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DefDlgProc( &
        hDlg, &
        Msg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(LRESULT) :: DefDlgProc ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DefDlgProcA' :: DefDlgProc
  integer(HANDLE) hDlg ! HWND hDlg
  integer(UINT) Msg ! UINT Msg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CallMsgFilter( &
        lpMsg, &
        nCode)
USE DFWINTY
  integer(BOOL) :: CallMsgFilter ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CallMsgFilterA' :: CallMsgFilter
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMsg
  TYPE (T_MSG) lpMsg ! LPMSG lpMsg
  integer(SINT) nCode ! int nCode
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OpenClipboard( &
        hWndNewOwner)
USE DFWINTY
  integer(BOOL) :: OpenClipboard ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OpenClipboard' :: OpenClipboard
  integer(HANDLE) hWndNewOwner ! HWND hWndNewOwner
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CloseClipboard(  &
             )
USE DFWINTY
  integer(BOOL) :: CloseClipboard ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CloseClipboard' :: CloseClipboard
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION GetClipboardSequenceNumber(  &
             )
USE DFWINTY
  integer(DWORD) :: GetClipboardSequenceNumber ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClipboardSequenceNumber' :: GetClipboardSequenceNumber
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION GetClipboardOwner(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetClipboardOwner ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClipboardOwner' :: GetClipboardOwner
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetClipboardViewer( &
        hWndNewViewer)
USE DFWINTY
  integer(HANDLE) :: SetClipboardViewer ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetClipboardViewer' :: SetClipboardViewer
  integer(HANDLE) hWndNewViewer ! HWND hWndNewViewer
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetClipboardViewer(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetClipboardViewer ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClipboardViewer' :: GetClipboardViewer
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ChangeClipboardChain( &
        hWndRemove, &
        hWndNewNext)
USE DFWINTY
  integer(BOOL) :: ChangeClipboardChain ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChangeClipboardChain' :: ChangeClipboardChain
  integer(HANDLE) hWndRemove ! HWND hWndRemove
  integer(HANDLE) hWndNewNext ! HWND hWndNewNext
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetClipboardData( &
        uFormat, &
        hMem)
USE DFWINTY
  integer(HANDLE) :: SetClipboardData ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetClipboardData' :: SetClipboardData
  integer(UINT) uFormat ! UINT uFormat
  integer(HANDLE) hMem ! HANDLE hMem
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetClipboardData( &
        uFormat)
USE DFWINTY
  integer(HANDLE) :: GetClipboardData ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClipboardData' :: GetClipboardData
  integer(UINT) uFormat ! UINT uFormat
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RegisterClipboardFormat( &
        lpszFormat)
USE DFWINTY
  integer(UINT) :: RegisterClipboardFormat ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RegisterClipboardFormatA' :: RegisterClipboardFormat
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszFormat
  character*(*) lpszFormat ! LPCSTR lpszFormat
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CountClipboardFormats(  &
             )
USE DFWINTY
  integer(SINT) :: CountClipboardFormats ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CountClipboardFormats' :: CountClipboardFormats
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumClipboardFormats( &
        format)
USE DFWINTY
  integer(UINT) :: EnumClipboardFormats ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumClipboardFormats' :: EnumClipboardFormats
  integer(UINT) format ! UINT format
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetClipboardFormatName( &
        format, &
        lpszFormatName, &
        cchMaxCount)
USE DFWINTY
  integer(SINT) :: GetClipboardFormatName ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClipboardFormatNameA' :: GetClipboardFormatName
  integer(UINT) format ! UINT format
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszFormatName
  character*(*) lpszFormatName ! LPSTR lpszFormatName
  integer(SINT) cchMaxCount ! int cchMaxCount
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EmptyClipboard(  &
             )
USE DFWINTY
  integer(BOOL) :: EmptyClipboard ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EmptyClipboard' :: EmptyClipboard
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsClipboardFormatAvailable( &
        format)
USE DFWINTY
  integer(BOOL) :: IsClipboardFormatAvailable ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsClipboardFormatAvailable' :: IsClipboardFormatAvailable
  integer(UINT) format ! UINT format
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetPriorityClipboardFormat( &
        paFormatPriorityList, &
        cFormats)
USE DFWINTY
  integer(SINT) :: GetPriorityClipboardFormat ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetPriorityClipboardFormat' :: GetPriorityClipboardFormat
  integer(LPUINT) paFormatPriorityList ! UINT* paFormatPriorityList
  integer(SINT) cFormats ! int cFormats
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetOpenClipboardWindow(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetOpenClipboardWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetOpenClipboardWindow' :: GetOpenClipboardWindow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CharToOem( &
        lpszSrc, &
        lpszDst)
USE DFWINTY
  integer(BOOL) :: CharToOem ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharToOemA' :: CharToOem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszSrc
  character*(*) lpszSrc ! LPCSTR lpszSrc
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDst
  character*(*) lpszDst ! LPSTR lpszDst
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OemToChar( &
        lpszSrc, &
        lpszDst)
USE DFWINTY
  integer(BOOL) :: OemToChar ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OemToCharA' :: OemToChar
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszSrc
  character*(*) lpszSrc ! LPCSTR lpszSrc
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDst
  character*(*) lpszDst ! LPSTR lpszDst
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CharToOemBuff( &
        lpszSrc, &
        lpszDst, &
        cchDstLength)
USE DFWINTY
  integer(BOOL) :: CharToOemBuff ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharToOemBuffA' :: CharToOemBuff
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszSrc
  character*(*) lpszSrc ! LPCSTR lpszSrc
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDst
  character*(*) lpszDst ! LPSTR lpszDst
  integer(DWORD) cchDstLength ! DWORD cchDstLength
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OemToCharBuff( &
        lpszSrc, &
        lpszDst, &
        cchDstLength)
USE DFWINTY
  integer(BOOL) :: OemToCharBuff ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OemToCharBuffA' :: OemToCharBuff
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszSrc
  character*(*) lpszSrc ! LPCSTR lpszSrc
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDst
  character*(*) lpszDst ! LPSTR lpszDst
  integer(DWORD) cchDstLength ! DWORD cchDstLength
 END FUNCTION
END INTERFACE
INTERFACE CharUpper
FUNCTION CharUpper_G1( &
        lpsz)
USE DFWINTY
  integer(LPSTR) :: CharUpper_G1 ! LPSTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharUpperA' :: CharUpper_G1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpsz
  character*(*) lpsz ! LPSTR lpsz
 END FUNCTION
FUNCTION CharUpper_G2( &
        lpsz)
USE DFWINTY
  integer(LPSTR) :: CharUpper_G2 ! LPSTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharUpperA' :: CharUpper_G2
  integer(LPVOID) lpsz ! LPSTR lpsz
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CharUpperBuff( &
        lpsz, &
        cchLength)
USE DFWINTY
  integer(DWORD) :: CharUpperBuff ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharUpperBuffA' :: CharUpperBuff
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpsz
  character*(*) lpsz ! LPSTR lpsz
  integer(DWORD) cchLength ! DWORD cchLength
 END FUNCTION
END INTERFACE
INTERFACE CharLower
FUNCTION CharLower_G1( &
        lpsz)
USE DFWINTY
  integer(LPSTR) :: CharLower_G1 ! LPSTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharLowerA' :: CharLower_G1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpsz
  character*(*) lpsz ! LPSTR lpsz
 END FUNCTION
FUNCTION CharLower_G2( &
        lpsz)
USE DFWINTY
  integer(LPSTR) :: CharLower_G2 ! LPSTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharLowerA' :: CharLower_G2
  integer(LPVOID) lpsz ! LPSTR lpsz
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CharLowerBuff( &
        lpsz, &
        cchLength)
USE DFWINTY
  integer(DWORD) :: CharLowerBuff ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharLowerBuffA' :: CharLowerBuff
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpsz
  character*(*) lpsz ! LPSTR lpsz
  integer(DWORD) cchLength ! DWORD cchLength
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CharNext( &
        lpsz)
USE DFWINTY
  integer(LPSTR) :: CharNext ! LPSTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharNextA' :: CharNext
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpsz
  character*(*) lpsz ! LPCSTR lpsz
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CharPrev( &
        lpszStart, &
        lpszCurrent)
USE DFWINTY
  integer(LPSTR) :: CharPrev ! LPSTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharPrevA' :: CharPrev
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszStart
  character*(*) lpszStart ! LPCSTR lpszStart
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszCurrent
  character*(*) lpszCurrent ! LPCSTR lpszCurrent
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CharNextEx( &
        CodePage, &
        lpCurrentChar, &
        dwFlags)
USE DFWINTY
  integer(LPSTR) :: CharNextEx ! LPSTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharNextExA' :: CharNextEx
  integer(WORD) CodePage ! WORD CodePage
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpCurrentChar
  character*(*) lpCurrentChar ! LPCSTR lpCurrentChar
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CharPrevEx( &
        CodePage, &
        lpStart, &
        lpCurrentChar, &
        dwFlags)
USE DFWINTY
  integer(LPSTR) :: CharPrevEx ! LPSTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CharPrevExA' :: CharPrevEx
  integer(WORD) CodePage ! WORD CodePage
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpStart
  character*(*) lpStart ! LPCSTR lpStart
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpCurrentChar
  character*(*) lpCurrentChar ! LPCSTR lpCurrentChar
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsCharAlpha( &
        ch)
USE DFWINTY
  integer(BOOL) :: IsCharAlpha ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsCharAlphaA' :: IsCharAlpha
  character(SCHAR) ch ! CHAR ch
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsCharAlphaNumeric( &
        ch)
USE DFWINTY
  integer(BOOL) :: IsCharAlphaNumeric ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsCharAlphaNumericA' :: IsCharAlphaNumeric
  character(SCHAR) ch ! CHAR ch
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsCharUpper( &
        ch)
USE DFWINTY
  integer(BOOL) :: IsCharUpper ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsCharUpperA' :: IsCharUpper
  character(SCHAR) ch ! CHAR ch
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsCharLower( &
        ch)
USE DFWINTY
  integer(BOOL) :: IsCharLower ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsCharLowerA' :: IsCharLower
  character(SCHAR) ch ! CHAR ch
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetFocus( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: SetFocus ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetFocus' :: SetFocus
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetActiveWindow(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetActiveWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetActiveWindow' :: GetActiveWindow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetFocus(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetFocus ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetFocus' :: GetFocus
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetKBCodePage(  &
             )
USE DFWINTY
  integer(UINT) :: GetKBCodePage ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKBCodePage' :: GetKBCodePage
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetKeyState( &
        nVirtKey)
USE DFWINTY
  integer(SHORT) :: GetKeyState ! SHORT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKeyState' :: GetKeyState
  integer(SINT) nVirtKey ! int nVirtKey
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetAsyncKeyState( &
        vKey)
USE DFWINTY
  integer(SHORT) :: GetAsyncKeyState ! SHORT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetAsyncKeyState' :: GetAsyncKeyState
  integer(SINT) vKey ! int vKey
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetKeyboardState( &
        lpKeyState)
USE DFWINTY
  integer(BOOL) :: GetKeyboardState ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKeyboardState' :: GetKeyboardState
  integer(LPBYTE) lpKeyState ! PBYTE lpKeyState
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetKeyboardState( &
        lpKeyState)
USE DFWINTY
  integer(BOOL) :: SetKeyboardState ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetKeyboardState' :: SetKeyboardState
  integer(LPBYTE) lpKeyState ! LPBYTE lpKeyState
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetKeyNameText( &
        lParam, &
        lpString, &
        nSize)
USE DFWINTY
  integer(SINT) :: GetKeyNameText ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKeyNameTextA' :: GetKeyNameText
  integer(LONG) lParam ! LONG lParam
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPSTR lpString
  integer(SINT) nSize ! int nSize
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetKeyboardType( &
        nTypeFlag)
USE DFWINTY
  integer(SINT) :: GetKeyboardType ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKeyboardType' :: GetKeyboardType
  integer(SINT) nTypeFlag ! int nTypeFlag
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ToAscii( &
        uVirtKey, &
        uScanCode, &
        lpKeyState, &
        xlpChar, &
        uFlags)
USE DFWINTY
  integer(SINT) :: ToAscii ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ToAscii' :: ToAscii
  integer(UINT) uVirtKey ! UINT uVirtKey
  integer(UINT) uScanCode ! UINT uScanCode
  integer(LPBYTE) lpKeyState ! BYTE* lpKeyState
  integer(LPWORD) xlpChar ! LPWORD lpChar
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ToAsciiEx( &
        uVirtKey, &
        uScanCode, &
        lpKeyState, &
        xlpChar, &
        uFlags, &
        dwhkl)
USE DFWINTY
  integer(SINT) :: ToAsciiEx ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ToAsciiEx' :: ToAsciiEx
  integer(UINT) uVirtKey ! UINT uVirtKey
  integer(UINT) uScanCode ! UINT uScanCode
  integer(LPBYTE) lpKeyState ! BYTE* lpKeyState
  integer(LPWORD) xlpChar ! LPWORD lpChar
  integer(UINT) uFlags ! UINT uFlags
  integer(HANDLE) dwhkl ! HKL dwhkl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ToUnicode( &
        wVirtKey, &
        wScanCode, &
        lpKeyState, &
        pwszBuff, &
        cchBuff, &
        wFlags)
USE DFWINTY
  integer(SINT) :: ToUnicode ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ToUnicode' :: ToUnicode
  integer(UINT) wVirtKey ! UINT wVirtKey
  integer(UINT) wScanCode ! UINT wScanCode
  integer(LPBYTE) lpKeyState ! BYTE* lpKeyState
!!xxxx ATTRIBUTES REFERENCE :: pwszBuff
  integer(LPWSTR) pwszBuff ! LPWSTR pwszBuff
  integer(SINT) cchBuff ! int cchBuff
  integer(UINT) wFlags ! UINT wFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OemKeyScan( &
        wOemChar)
USE DFWINTY
  integer(DWORD) :: OemKeyScan ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OemKeyScan' :: OemKeyScan
  integer(WORD) wOemChar ! WORD wOemChar
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION VkKeyScan( &
        ch)
USE DFWINTY
  integer(SHORT) :: VkKeyScan ! SHORT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'VkKeyScanA' :: VkKeyScan
  character(SCHAR) ch ! CHAR ch
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION VkKeyScanEx( &
        ch, &
        dwhkl)
USE DFWINTY
  integer(SHORT) :: VkKeyScanEx ! SHORT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'VkKeyScanExA' :: VkKeyScanEx
  character(SCHAR) ch ! CHAR ch
  integer(HANDLE) dwhkl ! HKL dwhkl
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE MSFWIN$mouse_event( &
        dwFlags, &
        dx, &
        dy, &
        dwData, &
        dwExtraInfo)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'mouse_event' :: MSFWIN$mouse_event
  integer(DWORD) dwFlags ! DWORD dwFlags
  integer(DWORD) dx ! DWORD dx
  integer(DWORD) dy ! DWORD dy
  integer(DWORD) dwData ! DWORD dwData
  integer(ULONG_PTR) dwExtraInfo ! ULONG_PTR dwExtraInfo
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION MapVirtualKey( &
        uCode, &
        uMapType)
USE DFWINTY
  integer(UINT) :: MapVirtualKey ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MapVirtualKeyA' :: MapVirtualKey
  integer(UINT) uCode ! UINT uCode
  integer(UINT) uMapType ! UINT uMapType
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MapVirtualKeyEx( &
        uCode, &
        uMapType, &
        dwhkl)
USE DFWINTY
  integer(UINT) :: MapVirtualKeyEx ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MapVirtualKeyExA' :: MapVirtualKeyEx
  integer(UINT) uCode ! UINT uCode
  integer(UINT) uMapType ! UINT uMapType
  integer(HANDLE) dwhkl ! HKL dwhkl
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetInputState(  &
             )
USE DFWINTY
  integer(BOOL) :: GetInputState ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetInputState' :: GetInputState
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetQueueStatus( &
        flags)
USE DFWINTY
  integer(DWORD) :: GetQueueStatus ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetQueueStatus' :: GetQueueStatus
  integer(UINT) flags ! UINT flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetCapture(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetCapture ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCapture' :: GetCapture
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetCapture( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: SetCapture ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetCapture' :: SetCapture
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ReleaseCapture(  &
             )
USE DFWINTY
  integer(BOOL) :: ReleaseCapture ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ReleaseCapture' :: ReleaseCapture
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MsgWaitForMultipleObjects( &
        nCount, &
        pHandles, &
        fWaitAll, &
        dwMilliseconds, &
        dwWakeMask)
USE DFWINTY
  integer(DWORD) :: MsgWaitForMultipleObjects ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MsgWaitForMultipleObjects' :: MsgWaitForMultipleObjects
  integer(DWORD) nCount ! DWORD nCount
  integer(PHANDLE) pHandles ! HANDLE* pHandles
  integer(BOOL) fWaitAll ! BOOL fWaitAll
  integer(DWORD) dwMilliseconds ! DWORD dwMilliseconds
  integer(DWORD) dwWakeMask ! DWORD dwWakeMask
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MsgWaitForMultipleObjectsEx( &
        nCount, &
        pHandles, &
        dwMilliseconds, &
        dwWakeMask, &
        dwFlags)
USE DFWINTY
  integer(DWORD) :: MsgWaitForMultipleObjectsEx ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MsgWaitForMultipleObjectsEx' :: MsgWaitForMultipleObjectsEx
  integer(DWORD) nCount ! DWORD nCount
  integer(PHANDLE) pHandles ! HANDLE* pHandles
  integer(DWORD) dwMilliseconds ! DWORD dwMilliseconds
  integer(DWORD) dwWakeMask ! DWORD dwWakeMask
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetTimer( &
        hWnd, &
        nIDEvent, &
        uElapse, &
        lpTimerFunc)
USE DFWINTY
  integer(UINT_PTR) :: SetTimer ! UINT_PTR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetTimer' :: SetTimer
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT_PTR) nIDEvent ! UINT_PTR nIDEvent
  integer(UINT) uElapse ! UINT uElapse
  integer(LPVOID) lpTimerFunc ! TIMERPROC lpTimerFunc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION KillTimer( &
        hWnd, &
        uIDEvent)
USE DFWINTY
  integer(BOOL) :: KillTimer ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'KillTimer' :: KillTimer
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT_PTR) uIDEvent ! UINT_PTR uIDEvent
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsWindowUnicode( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: IsWindowUnicode ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsWindowUnicode' :: IsWindowUnicode
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnableWindow( &
        hWnd, &
        bEnable)
USE DFWINTY
  integer(BOOL) :: EnableWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnableWindow' :: EnableWindow
  integer(HANDLE) hWnd ! HWND hWnd
  integer(BOOL) bEnable ! BOOL bEnable
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsWindowEnabled( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: IsWindowEnabled ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsWindowEnabled' :: IsWindowEnabled
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE LoadAccelerators
FUNCTION LoadAccelerators_G1( &
        hInstance, &
        lpTableName)
USE DFWINTY
  integer(HANDLE) :: LoadAccelerators_G1 ! HACCEL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadAcceleratorsA' :: LoadAccelerators_G1
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpTableName
  character*(*) lpTableName ! LPCSTR lpTableName
 END FUNCTION
FUNCTION LoadAccelerators_G2( &
        hInstance, &
        lpTableName)
USE DFWINTY
  integer(HANDLE) :: LoadAccelerators_G2 ! HACCEL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadAcceleratorsA' :: LoadAccelerators_G2
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpTableName ! LPCSTR lpTableName
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateAcceleratorTable( &
        arg1, &
        arg2)
USE DFWINTY
  integer(HANDLE) :: CreateAcceleratorTable ! HACCEL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateAcceleratorTableA' :: CreateAcceleratorTable
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
  TYPE (T_ACCEL) arg1 ! LPACCEL arg1
  integer(SINT) arg2 ! int arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DestroyAcceleratorTable( &
        hAccel)
USE DFWINTY
  integer(BOOL) :: DestroyAcceleratorTable ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DestroyAcceleratorTable' :: DestroyAcceleratorTable
  integer(HANDLE) hAccel ! HACCEL hAccel
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CopyAcceleratorTable( &
        hAccelSrc, &
        lpAccelDst, &
        cAccelEntries)
USE DFWINTY
  integer(SINT) :: CopyAcceleratorTable ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CopyAcceleratorTableA' :: CopyAcceleratorTable
  integer(HANDLE) hAccelSrc ! HACCEL hAccelSrc
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpAccelDst
  TYPE (T_ACCEL) lpAccelDst ! LPACCEL lpAccelDst
  integer(SINT) cAccelEntries ! int cAccelEntries
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION TranslateAccelerator( &
        hWnd, &
        hAccTable, &
        lpMsg)
USE DFWINTY
  integer(SINT) :: TranslateAccelerator ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TranslateAcceleratorA' :: TranslateAccelerator
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hAccTable ! HACCEL hAccTable
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMsg
  TYPE (T_MSG) lpMsg ! LPMSG lpMsg
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetSystemMetrics( &
        nIndex)
USE DFWINTY
  integer(SINT) :: GetSystemMetrics ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetSystemMetrics' :: GetSystemMetrics
  integer(SINT) nIndex ! int nIndex
 END FUNCTION
END INTERFACE
INTERFACE LoadMenu
FUNCTION LoadMenu_G1( &
        hInstance, &
        lpMenuName)
USE DFWINTY
  integer(HANDLE) :: LoadMenu_G1 ! HMENU
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadMenuA' :: LoadMenu_G1
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMenuName
  character*(*) lpMenuName ! LPCSTR lpMenuName
 END FUNCTION
FUNCTION LoadMenu_G2( &
        hInstance, &
        lpMenuName)
USE DFWINTY
  integer(HANDLE) :: LoadMenu_G2 ! HMENU
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadMenuA' :: LoadMenu_G2
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpMenuName ! LPCSTR lpMenuName
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LoadMenuIndirect( &
        lpMenuTemplate)
USE DFWINTY
  integer(HANDLE) :: LoadMenuIndirect ! HMENU
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadMenuIndirectA' :: LoadMenuIndirect
  integer(LPVOID) lpMenuTemplate ! MENUTEMPLATEA* lpMenuTemplate
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenu( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: GetMenu ! HMENU
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenu' :: GetMenu
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetMenu( &
        hWnd, &
        hMenu)
USE DFWINTY
  integer(BOOL) :: SetMenu ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMenu' :: SetMenu
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hMenu ! HMENU hMenu
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ChangeMenu( &
        hMenu, &
        cmd, &
        lpszNewItem, &
        cmdInsert, &
        flags)
USE DFWINTY
  integer(BOOL) :: ChangeMenu ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChangeMenuA' :: ChangeMenu
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) cmd ! UINT cmd
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lpszNewItem
  character*(*) lpszNewItem ! LPCSTR lpszNewItem
  integer(UINT) cmdInsert ! UINT cmdInsert
  integer(UINT) flags ! UINT flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION HiliteMenuItem( &
        hWnd, &
        hMenu, &
        uIDHiliteItem, &
        uHilite)
USE DFWINTY
  integer(BOOL) :: HiliteMenuItem ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'HiliteMenuItem' :: HiliteMenuItem
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uIDHiliteItem ! UINT uIDHiliteItem
  integer(UINT) uHilite ! UINT uHilite
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuString( &
        hMenu, &
        uIDItem, &
        lpString, &
        nMaxCount, &
        uFlag)
USE DFWINTY
  integer(SINT) :: GetMenuString ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuStringA' :: GetMenuString
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uIDItem ! UINT uIDItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPSTR lpString
  integer(SINT) nMaxCount ! int nMaxCount
  integer(UINT) uFlag ! UINT uFlag
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuState( &
        hMenu, &
        uId, &
        uFlags)
USE DFWINTY
  integer(UINT) :: GetMenuState ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuState' :: GetMenuState
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uId ! UINT uId
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawMenuBar( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: DrawMenuBar ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawMenuBar' :: DrawMenuBar
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetSystemMenu( &
        hWnd, &
        bRevert)
USE DFWINTY
  integer(HANDLE) :: GetSystemMenu ! HMENU
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetSystemMenu' :: GetSystemMenu
  integer(HANDLE) hWnd ! HWND hWnd
  integer(BOOL) bRevert ! BOOL bRevert
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateMenu(  &
             )
USE DFWINTY
  integer(HANDLE) :: CreateMenu ! HMENU
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateMenu' :: CreateMenu
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreatePopupMenu(  &
             )
USE DFWINTY
  integer(HANDLE) :: CreatePopupMenu ! HMENU
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePopupMenu' :: CreatePopupMenu
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DestroyMenu( &
        hMenu)
USE DFWINTY
  integer(BOOL) :: DestroyMenu ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DestroyMenu' :: DestroyMenu
  integer(HANDLE) hMenu ! HMENU hMenu
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CheckMenuItem( &
        hMenu, &
        uIDCheckItem, &
        uCheck)
USE DFWINTY
  integer(DWORD) :: CheckMenuItem ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CheckMenuItem' :: CheckMenuItem
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uIDCheckItem ! UINT uIDCheckItem
  integer(UINT) uCheck ! UINT uCheck
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnableMenuItem( &
        hMenu, &
        uIDEnableItem, &
        uEnable)
USE DFWINTY
  integer(BOOL) :: EnableMenuItem ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnableMenuItem' :: EnableMenuItem
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uIDEnableItem ! UINT uIDEnableItem
  integer(UINT) uEnable ! UINT uEnable
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetSubMenu( &
        hMenu, &
        nPos)
USE DFWINTY
  integer(HANDLE) :: GetSubMenu ! HMENU
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetSubMenu' :: GetSubMenu
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(SINT) nPos ! int nPos
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuItemID( &
        hMenu, &
        nPos)
USE DFWINTY
  integer(UINT) :: GetMenuItemID ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuItemID' :: GetMenuItemID
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(SINT) nPos ! int nPos
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuItemCount( &
        hMenu)
USE DFWINTY
  integer(SINT) :: GetMenuItemCount ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuItemCount' :: GetMenuItemCount
  integer(HANDLE) hMenu ! HMENU hMenu
 END FUNCTION
END INTERFACE
INTERFACE InsertMenu
FUNCTION InsertMenu_G1( &
        hMenu, &
        uPosition, &
        uFlags, &
        uIDNewItem, &
        lpNewItem)
USE DFWINTY
  integer(BOOL) :: InsertMenu_G1 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InsertMenuA' :: InsertMenu_G1
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uPosition ! UINT uPosition
  integer(UINT) uFlags ! UINT uFlags
  integer(UINT_PTR) uIDNewItem ! UINT_PTR uIDNewItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpNewItem
  character*(*) lpNewItem ! LPCSTR lpNewItem
 END FUNCTION
FUNCTION InsertMenu_G2( &
        hMenu, &
        uPosition, &
        uFlags, &
        uIDNewItem, &
        lpNewItem)
USE DFWINTY
  integer(BOOL) :: InsertMenu_G2 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InsertMenuA' :: InsertMenu_G2
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uPosition ! UINT uPosition
  integer(UINT) uFlags ! UINT uFlags
  integer(UINT_PTR) uIDNewItem ! UINT_PTR uIDNewItem
  integer(LPVOID) lpNewItem ! LPCSTR lpNewItem
 END FUNCTION
END INTERFACE
INTERFACE AppendMenu
FUNCTION AppendMenu_G1( &
        hMenu, &
        uFlags, &
        uIDNewItem, &
        lpNewItem)
USE DFWINTY
  integer(BOOL) :: AppendMenu_G1 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AppendMenuA' :: AppendMenu_G1
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uFlags ! UINT uFlags
  integer(UINT_PTR) uIDNewItem ! UINT_PTR uIDNewItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpNewItem
  character*(*) lpNewItem ! LPCSTR lpNewItem
 END FUNCTION
FUNCTION AppendMenu_G2( &
        hMenu, &
        uFlags, &
        uIDNewItem, &
        lpNewItem)
USE DFWINTY
  integer(BOOL) :: AppendMenu_G2 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AppendMenuA' :: AppendMenu_G2
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uFlags ! UINT uFlags
  integer(UINT_PTR) uIDNewItem ! UINT_PTR uIDNewItem
  integer(LPVOID) lpNewItem ! LPCSTR lpNewItem
 END FUNCTION
END INTERFACE
INTERFACE ModifyMenu
FUNCTION ModifyMenu_G1( &
        hMnu, &
        uPosition, &
        uFlags, &
        uIDNewItem, &
        lpNewItem)
USE DFWINTY
  integer(BOOL) :: ModifyMenu_G1 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ModifyMenuA' :: ModifyMenu_G1
  integer(HANDLE) hMnu ! HMENU hMnu
  integer(UINT) uPosition ! UINT uPosition
  integer(UINT) uFlags ! UINT uFlags
  integer(UINT_PTR) uIDNewItem ! UINT_PTR uIDNewItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpNewItem
  character*(*) lpNewItem ! LPCSTR lpNewItem
 END FUNCTION
FUNCTION ModifyMenu_G2( &
        hMnu, &
        uPosition, &
        uFlags, &
        uIDNewItem, &
        lpNewItem)
USE DFWINTY
  integer(BOOL) :: ModifyMenu_G2 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ModifyMenuA' :: ModifyMenu_G2
  integer(HANDLE) hMnu ! HMENU hMnu
  integer(UINT) uPosition ! UINT uPosition
  integer(UINT) uFlags ! UINT uFlags
  integer(UINT_PTR) uIDNewItem ! UINT_PTR uIDNewItem
  integer(LPVOID) lpNewItem ! LPCSTR lpNewItem
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RemoveMenu( &
        hMenu, &
        uPosition, &
        uFlags)
USE DFWINTY
  integer(BOOL) :: RemoveMenu ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RemoveMenu' :: RemoveMenu
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uPosition ! UINT uPosition
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DeleteMenu( &
        hMenu, &
        uPosition, &
        uFlags)
USE DFWINTY
  integer(BOOL) :: DeleteMenu ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DeleteMenu' :: DeleteMenu
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uPosition ! UINT uPosition
  integer(UINT) uFlags ! UINT uFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetMenuItemBitmaps( &
        hMenu, &
        uPosition, &
        uFlags, &
        hBitmapUnchecked, &
        hBitmapChecked)
USE DFWINTY
  integer(BOOL) :: SetMenuItemBitmaps ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMenuItemBitmaps' :: SetMenuItemBitmaps
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uPosition ! UINT uPosition
  integer(UINT) uFlags ! UINT uFlags
  integer(HANDLE) hBitmapUnchecked ! HBITMAP hBitmapUnchecked
  integer(HANDLE) hBitmapChecked ! HBITMAP hBitmapChecked
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuCheckMarkDimensions(  &
             )
USE DFWINTY
  integer(LONG) :: GetMenuCheckMarkDimensions ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuCheckMarkDimensions' :: GetMenuCheckMarkDimensions
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION TrackPopupMenu( &
        hMenu, &
        uFlags, &
        x, &
        y, &
        nReserved, &
        hWnd, &
        prcRect)
USE DFWINTY
  integer(BOOL) :: TrackPopupMenu ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TrackPopupMenu' :: TrackPopupMenu
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uFlags ! UINT uFlags
  integer(SINT) x ! int x
  integer(SINT) y ! int y
  integer(SINT) nReserved ! int nReserved
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: prcRect
  TYPE (T_RECT) prcRect ! RECT* prcRect
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION TrackPopupMenuEx( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5, &
        arg6)
USE DFWINTY
  integer(BOOL) :: TrackPopupMenuEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TrackPopupMenuEx' :: TrackPopupMenuEx
  integer(HANDLE) arg1 ! HMENU arg1
  integer(UINT) arg2 ! UINT arg2
  integer(SINT) arg3 ! int arg3
  integer(SINT) arg4 ! int arg4
  integer(HANDLE) arg5 ! HWND arg5
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg6
  TYPE(T_TPMPARAMS) arg6 ! LPTPMPARAMS arg6
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION GetMenuInfo( &
        arg1, &
        arg2)
USE DFWINTY
  integer(BOOL) :: GetMenuInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuInfo' :: GetMenuInfo
  integer(HANDLE) arg1 ! HMENU arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  TYPE (T_MENUINFO) arg2 ! LPMENUINFO arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetMenuInfo( &
        arg1, &
        arg2)
USE DFWINTY
  integer(BOOL) :: SetMenuInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMenuInfo' :: SetMenuInfo
  integer(HANDLE) arg1 ! HMENU arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
 TYPE(T_MENUINFO) arg2 ! LPCMENUINFO arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EndMenu(  &
             )
USE DFWINTY
  integer(BOOL) :: EndMenu ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EndMenu' :: EndMenu
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION InsertMenuItem( &
        arg1, &
        arg2, &
        arg3, &
        arg4)
USE DFWINTY
  integer(BOOL) :: InsertMenuItem ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InsertMenuItemA' :: InsertMenuItem
  integer(HANDLE) arg1 ! HMENU arg1
  integer(UINT) arg2 ! UINT arg2
  integer(BOOL) arg3 ! BOOL arg3
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
  TYPE(T_MENUITEMINFO) arg4 ! LPCMENUITEMINFOA arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuItemInfo( &
        arg1, &
        arg2, &
        arg3, &
        arg4)
USE DFWINTY
  integer(BOOL) :: GetMenuItemInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuItemInfoA' :: GetMenuItemInfo
  integer(HANDLE) arg1 ! HMENU arg1
  integer(UINT) arg2 ! UINT arg2
  integer(BOOL) arg3 ! BOOL arg3
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
  TYPE (T_MENUITEMINFO) arg4 ! LPMENUITEMINFOA arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetMenuItemInfo( &
        arg1, &
        arg2, &
        arg3, &
        arg4)
USE DFWINTY
  integer(BOOL) :: SetMenuItemInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMenuItemInfoA' :: SetMenuItemInfo
  integer(HANDLE) arg1 ! HMENU arg1
  integer(UINT) arg2 ! UINT arg2
  integer(BOOL) arg3 ! BOOL arg3
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
  TYPE(T_MENUITEMINFO)  arg4 ! LPCMENUITEMINFOA arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuDefaultItem( &
        hMenu, &
        fByPos, &
        gmdiFlags)
USE DFWINTY
  integer(UINT) :: GetMenuDefaultItem ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuDefaultItem' :: GetMenuDefaultItem
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) fByPos ! UINT fByPos
  integer(UINT) gmdiFlags ! UINT gmdiFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetMenuDefaultItem( &
        hMenu, &
        uItem, &
        fByPos)
USE DFWINTY
  integer(BOOL) :: SetMenuDefaultItem ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMenuDefaultItem' :: SetMenuDefaultItem
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uItem ! UINT uItem
  integer(UINT) fByPos ! UINT fByPos
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuItemRect( &
        hWnd, &
        hMenu, &
        uItem, &
        lprcItem)
USE DFWINTY
  integer(BOOL) :: GetMenuItemRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuItemRect' :: GetMenuItemRect
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hMenu ! HMENU hMenu
  integer(UINT) uItem ! UINT uItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcItem
  TYPE (T_RECT) lprcItem ! LPRECT lprcItem
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MenuItemFromPoint( &
        hWnd, &
        hMenu, &
        ptScreen)
USE DFWINTY
  integer(SINT) :: MenuItemFromPoint ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MenuItemFromPoint' :: MenuItemFromPoint
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hMenu ! HMENU hMenu
  TYPE (T_POINT) ptScreen ! POINT ptScreen
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DragObject( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5)
USE DFWINTY
  integer(DWORD) :: DragObject ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DragObject' :: DragObject
  integer(HANDLE) arg1 ! HWND arg1
  integer(HANDLE) arg2 ! HWND arg2
  integer(UINT) arg3 ! UINT arg3
  integer(ULONG_PTR) arg4 ! ULONG_PTR arg4
  integer(HANDLE) arg5 ! HCURSOR arg5
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DragDetect( &
        arg1, &
        arg2)
USE DFWINTY
  integer(BOOL) :: DragDetect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DragDetect' :: DragDetect
  integer(HANDLE) arg1 ! HWND arg1
  TYPE (T_POINT) arg2 ! POINT arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawIcon( &
        hDC, &
        X, &
        Y, &
        hIcon)
USE DFWINTY
  integer(BOOL) :: DrawIcon ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawIcon' :: DrawIcon
  integer(HANDLE) hDC ! HDC hDC
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
  integer(HANDLE) hIcon ! HICON hIcon
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawText( &
        hDC, &
        lpString, &
        nCount, &
        lpRect, &
        uFormat)
USE DFWINTY
  integer(SINT) :: DrawText ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawTextA' :: DrawText
  integer(HANDLE) hDC ! HDC hDC
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
  integer(SINT) nCount ! int nCount
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! LPRECT lpRect
  integer(UINT) uFormat ! UINT uFormat
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawTextEx( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5, &
        arg6)
USE DFWINTY
  integer(SINT) :: DrawTextEx ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawTextExA' :: DrawTextEx
  integer(HANDLE) arg1 ! HDC arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  character*(*) arg2 ! LPSTR arg2
  integer(SINT) arg3 ! int arg3
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
  TYPE (T_RECT) arg4 ! LPRECT arg4
  integer(UINT) arg5 ! UINT arg5
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg6
  TYPE (T_DRAWTEXTPARAMS) arg6 ! LPDRAWTEXTPARAMS arg6
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GrayString( &
        hDC, &
        hBrush, &
        lpOutputFunc, &
        lpData, &
        nCount, &
        X, &
        Y, &
        nWidth, &
        nHeight)
USE DFWINTY
  integer(BOOL) :: GrayString ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GrayStringA' :: GrayString
  integer(HANDLE) hDC ! HDC hDC
  integer(HANDLE) hBrush ! HBRUSH hBrush
  integer(LPVOID)  lpOutputFunc ! GRAYSTRINGPROC lpOutputFunc
  integer(LONG_PTR) lpData ! LPARAM lpData
  integer(SINT) nCount ! int nCount
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
  integer(SINT) nWidth ! int nWidth
  integer(SINT) nHeight ! int nHeight
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawState( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5, &
        arg6, &
        arg7, &
        arg8, &
        arg9, &
        arg10)
USE DFWINTY
  integer(BOOL) :: DrawState ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawStateA' :: DrawState
  integer(HANDLE) arg1 ! HDC arg1
  integer(HANDLE) arg2 ! HBRUSH arg2
  integer(LPVOID) arg3 ! DRAWSTATEPROC arg3
  integer(LONG_PTR) arg4 ! LPARAM arg4
  integer(UINT_PTR) arg5 ! WPARAM arg5
  integer(SINT) arg6 ! int arg6
  integer(SINT) arg7 ! int arg7
  integer(SINT) arg8 ! int arg8
  integer(SINT) arg9 ! int arg9
  integer(UINT) arg10 ! UINT arg10
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION TabbedTextOut( &
        hDC, &
        X, &
        Y, &
        lpString, &
        nCount, &
        nTabPositions, &
        lpnTabStopPositions, &
        nTabOrigin)
USE DFWINTY
  integer(LONG) :: TabbedTextOut ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TabbedTextOutA' :: TabbedTextOut
  integer(HANDLE) hDC ! HDC hDC
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
  integer(SINT) nCount ! int nCount
  integer(SINT) nTabPositions ! int nTabPositions
  integer(LPINT) lpnTabStopPositions ! INT* lpnTabStopPositions
  integer(SINT) nTabOrigin ! int nTabOrigin
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetTabbedTextExtent( &
        hDC, &
        lpString, &
        nCount, &
        nTabPositions, &
        lpnTabStopPositions)
USE DFWINTY
  integer(DWORD) :: GetTabbedTextExtent ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTabbedTextExtentA' :: GetTabbedTextExtent
  integer(HANDLE) hDC ! HDC hDC
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
  integer(SINT) nCount ! int nCount
  integer(SINT) nTabPositions ! int nTabPositions
  integer(LPINT) lpnTabStopPositions ! INT* lpnTabStopPositions
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UpdateWindow( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: UpdateWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UpdateWindow' :: UpdateWindow
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetActiveWindow( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: SetActiveWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetActiveWindow' :: SetActiveWindow
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetForegroundWindow(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetForegroundWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetForegroundWindow' :: GetForegroundWindow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION PaintDesktop( &
        hdc)
USE DFWINTY
  integer(BOOL) :: PaintDesktop ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PaintDesktop' :: PaintDesktop
  integer(HANDLE) hdc ! HDC hdc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetForegroundWindow( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: SetForegroundWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetForegroundWindow' :: SetForegroundWindow
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION WindowFromDC( &
        hDC)
USE DFWINTY
  integer(HANDLE) :: WindowFromDC ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'WindowFromDC' :: WindowFromDC
  integer(HANDLE) hDC ! HDC hDC
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetDC( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: GetDC ! HDC
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDC' :: GetDC
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetDCEx( &
        hWnd, &
        hrgnClip, &
        flags)
USE DFWINTY
  integer(HANDLE) :: GetDCEx ! HDC
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDCEx' :: GetDCEx
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hrgnClip ! HRGN hrgnClip
  integer(DWORD) flags ! DWORD flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowDC( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: GetWindowDC ! HDC
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowDC' :: GetWindowDC
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ReleaseDC( &
        hWnd, &
        hDC)
USE DFWINTY
  integer(SINT) :: ReleaseDC ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ReleaseDC' :: ReleaseDC
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hDC ! HDC hDC
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION BeginPaint( &
        hWnd, &
        lpPaint)
USE DFWINTY
  integer(HANDLE) :: BeginPaint ! HDC
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'BeginPaint' :: BeginPaint
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPaint
  TYPE (T_PAINTSTRUCT) lpPaint ! LPPAINTSTRUCT lpPaint
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EndPaint( &
        hWnd, &
        lpPaint)
USE DFWINTY
  integer(BOOL) :: EndPaint ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EndPaint' :: EndPaint
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPaint
  TYPE (T_PAINTSTRUCT) lpPaint ! PAINTSTRUCT* lpPaint
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetUpdateRect( &
        hWnd, &
        lpRect, &
        bErase)
USE DFWINTY
  integer(BOOL) :: GetUpdateRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetUpdateRect' :: GetUpdateRect
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! LPRECT lpRect
  integer(BOOL) bErase ! BOOL bErase
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetUpdateRgn( &
        hWnd, &
        hRgn, &
        bErase)
USE DFWINTY
  integer(SINT) :: GetUpdateRgn ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetUpdateRgn' :: GetUpdateRgn
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hRgn ! HRGN hRgn
  integer(BOOL) bErase ! BOOL bErase
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowRgn( &
        hWnd, &
        hRgn, &
        bRedraw)
USE DFWINTY
  integer(SINT) :: SetWindowRgn ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowRgn' :: SetWindowRgn
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hRgn ! HRGN hRgn
  integer(BOOL) bRedraw ! BOOL bRedraw
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowRgn( &
        hWnd, &
        hRgn)
USE DFWINTY
  integer(SINT) :: GetWindowRgn ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowRgn' :: GetWindowRgn
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hRgn ! HRGN hRgn
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ExcludeUpdateRgn( &
        hDC, &
        hWnd)
USE DFWINTY
  integer(SINT) :: ExcludeUpdateRgn ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExcludeUpdateRgn' :: ExcludeUpdateRgn
  integer(HANDLE) hDC ! HDC hDC
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION InvalidateRect( &
        hWnd, &
        lpRect, &
        bErase)
USE DFWINTY
  integer(BOOL) :: InvalidateRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InvalidateRect' :: InvalidateRect
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! RECT* lpRect
  integer(BOOL) bErase ! BOOL bErase
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ValidateRect( &
        hWnd, &
        lpRect)
USE DFWINTY
  integer(BOOL) :: ValidateRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ValidateRect' :: ValidateRect
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! RECT* lpRect
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION InvalidateRgn( &
        hWnd, &
        hRgn, &
        bErase)
USE DFWINTY
  integer(BOOL) :: InvalidateRgn ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InvalidateRgn' :: InvalidateRgn
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hRgn ! HRGN hRgn
  integer(BOOL) bErase ! BOOL bErase
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ValidateRgn( &
        hWnd, &
        hRgn)
USE DFWINTY
  integer(BOOL) :: ValidateRgn ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ValidateRgn' :: ValidateRgn
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hRgn ! HRGN hRgn
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RedrawWindow( &
        hWnd, &
        lprcUpdate, &
        hrgnUpdate, &
        flags)
USE DFWINTY
  integer(BOOL) :: RedrawWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RedrawWindow' :: RedrawWindow
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcUpdate
  TYPE (T_RECT) lprcUpdate ! RECT* lprcUpdate
  integer(HANDLE) hrgnUpdate ! HRGN hrgnUpdate
  integer(UINT) flags ! UINT flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LockWindowUpdate( &
        hWndLock)
USE DFWINTY
  integer(BOOL) :: LockWindowUpdate ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LockWindowUpdate' :: LockWindowUpdate
  integer(HANDLE) hWndLock ! HWND hWndLock
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ScrollWindow( &
        hWnd, &
        XAmount, &
        YAmount, &
        lpRect, &
        lpClipRect)
USE DFWINTY
  integer(BOOL) :: ScrollWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ScrollWindow' :: ScrollWindow
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) XAmount ! int XAmount
  integer(SINT) YAmount ! int YAmount
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! RECT* lpRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpClipRect
  TYPE (T_RECT) lpClipRect ! RECT* lpClipRect
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ScrollDC( &
        hDC, &
        dx, &
        dy, &
        lprcScroll, &
        lprcClip, &
        hrgnUpdate, &
        lprcUpdate)
USE DFWINTY
  integer(BOOL) :: ScrollDC ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ScrollDC' :: ScrollDC
  integer(HANDLE) hDC ! HDC hDC
  integer(SINT) dx ! int dx
  integer(SINT) dy ! int dy
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcScroll
  TYPE (T_RECT) lprcScroll ! RECT* lprcScroll
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcClip
  TYPE (T_RECT) lprcClip ! RECT* lprcClip
  integer(HANDLE) hrgnUpdate ! HRGN hrgnUpdate
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcUpdate
  TYPE (T_RECT) lprcUpdate ! LPRECT lprcUpdate
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ScrollWindowEx( &
        hWnd, &
        dx, &
        dy, &
        prcScroll, &
        prcClip, &
        hrgnUpdate, &
        prcUpdate, &
        flags)
USE DFWINTY
  integer(SINT) :: ScrollWindowEx ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ScrollWindowEx' :: ScrollWindowEx
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) dx ! int dx
  integer(SINT) dy ! int dy
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: prcScroll
  TYPE (T_RECT) prcScroll ! RECT* prcScroll
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: prcClip
  TYPE (T_RECT) prcClip ! RECT* prcClip
  integer(HANDLE) hrgnUpdate ! HRGN hrgnUpdate
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: prcUpdate
  TYPE (T_RECT) prcUpdate ! LPRECT prcUpdate
  integer(UINT) flags ! UINT flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetScrollPos( &
        hWnd, &
        nBar, &
        nPos, &
        bRedraw)
USE DFWINTY
  integer(SINT) :: SetScrollPos ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetScrollPos' :: SetScrollPos
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nBar ! int nBar
  integer(SINT) nPos ! int nPos
  integer(BOOL) bRedraw ! BOOL bRedraw
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetScrollPos( &
        hWnd, &
        nBar)
USE DFWINTY
  integer(SINT) :: GetScrollPos ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetScrollPos' :: GetScrollPos
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nBar ! int nBar
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetScrollRange( &
        hWnd, &
        nBar, &
        nMinPos, &
        nMaxPos, &
        bRedraw)
USE DFWINTY
  integer(BOOL) :: SetScrollRange ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetScrollRange' :: SetScrollRange
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nBar ! int nBar
  integer(SINT) nMinPos ! int nMinPos
  integer(SINT) nMaxPos ! int nMaxPos
  integer(BOOL) bRedraw ! BOOL bRedraw
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetScrollRange( &
        hWnd, &
        nBar, &
        lpMinPos, &
        lpMaxPos)
USE DFWINTY
  integer(BOOL) :: GetScrollRange ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetScrollRange' :: GetScrollRange
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nBar ! int nBar
  integer(LPINT) lpMinPos ! LPINT lpMinPos
  integer(LPINT) lpMaxPos ! LPINT lpMaxPos
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ShowScrollBar( &
        hWnd, &
        wBar, &
        bShow)
USE DFWINTY
  integer(BOOL) :: ShowScrollBar ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ShowScrollBar' :: ShowScrollBar
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) wBar ! int wBar
  integer(BOOL) bShow ! BOOL bShow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnableScrollBar( &
        hWnd, &
        wSBflags, &
        wArrows)
USE DFWINTY
  integer(BOOL) :: EnableScrollBar ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnableScrollBar' :: EnableScrollBar
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) wSBflags ! UINT wSBflags
  integer(UINT) wArrows ! UINT wArrows
 END FUNCTION
END INTERFACE
INTERFACE SetProp
FUNCTION SetProp_G1( &
        hWnd, &
        lpString, &
        hData)
USE DFWINTY
  integer(BOOL) :: SetProp_G1 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetPropA' :: SetProp_G1
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
  integer(HANDLE) hData ! HANDLE hData
 END FUNCTION
FUNCTION SetProp_G2( &
        hWnd, &
        lpString, &
        hData)
USE DFWINTY
  integer(BOOL) :: SetProp_G2 ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetPropA' :: SetProp_G2
  integer(HANDLE) hWnd ! HWND hWnd
  integer(LPVOID) lpString ! LPCSTR lpString
  integer(HANDLE) hData ! HANDLE hData
 END FUNCTION
END INTERFACE
INTERFACE GetProp
FUNCTION GetProp_G1( &
        hWnd, &
        lpString)
USE DFWINTY
  integer(HANDLE) :: GetProp_G1 ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetPropA' :: GetProp_G1
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
 END FUNCTION
FUNCTION GetProp_G2( &
        hWnd, &
        lpString)
USE DFWINTY
  integer(HANDLE) :: GetProp_G2 ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetPropA' :: GetProp_G2
  integer(HANDLE) hWnd ! HWND hWnd
  integer(LPVOID) lpString ! LPCSTR lpString
 END FUNCTION
END INTERFACE
INTERFACE RemoveProp
FUNCTION RemoveProp_G1( &
        hWnd, &
        lpString)
USE DFWINTY
  integer(HANDLE) :: RemoveProp_G1 ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RemovePropA' :: RemoveProp_G1
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
 END FUNCTION
FUNCTION RemoveProp_G2( &
        hWnd, &
        lpString)
USE DFWINTY
  integer(HANDLE) :: RemoveProp_G2 ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RemovePropA' :: RemoveProp_G2
  integer(HANDLE) hWnd ! HWND hWnd
  integer(LPVOID) lpString ! LPCSTR lpString
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumPropsEx( &
        hWnd, &
        lpEnumFunc, &
        lParam)
USE DFWINTY
  integer(SINT) :: EnumPropsEx ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumPropsExA' :: EnumPropsEx
  integer(HANDLE) hWnd ! HWND hWnd
  integer(LPVOID) lpEnumFunc ! PROPENUMPROCEXA lpEnumFunc
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumProps( &
        hWnd, &
        lpEnumFunc)
USE DFWINTY
  integer(SINT) :: EnumProps ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumPropsA' :: EnumProps
  integer(HANDLE) hWnd ! HWND hWnd
  integer(LPVOID) lpEnumFunc ! PROPENUMPROCA lpEnumFunc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowText( &
        hWnd, &
        lpString)
USE DFWINTY
  integer(BOOL) :: SetWindowText ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowTextA' :: SetWindowText
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPCSTR lpString
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowText( &
        hWnd, &
        lpString, &
        nMaxCount)
USE DFWINTY
  integer(SINT) :: GetWindowText ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowTextA' :: GetWindowText
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPSTR lpString
  integer(SINT) nMaxCount ! int nMaxCount
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowTextLength( &
        hWnd)
USE DFWINTY
  integer(SINT) :: GetWindowTextLength ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowTextLengthA' :: GetWindowTextLength
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetClientRect( &
        hWnd, &
        lpRect)
USE DFWINTY
  integer(BOOL) :: GetClientRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClientRect' :: GetClientRect
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! LPRECT lpRect
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowRect( &
        hWnd, &
        lpRect)
USE DFWINTY
  integer(BOOL) :: GetWindowRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowRect' :: GetWindowRect
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! LPRECT lpRect
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION AdjustWindowRect( &
        lpRect, &
        dwStyle, &
        bMenu)
USE DFWINTY
  integer(BOOL) :: AdjustWindowRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AdjustWindowRect' :: AdjustWindowRect
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! LPRECT lpRect
  integer(DWORD) dwStyle ! DWORD dwStyle
  integer(BOOL) bMenu ! BOOL bMenu
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION AdjustWindowRectEx( &
        lpRect, &
        dwStyle, &
        bMenu, &
        dwExStyle)
USE DFWINTY
  integer(BOOL) :: AdjustWindowRectEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AdjustWindowRectEx' :: AdjustWindowRectEx
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! LPRECT lpRect
  integer(DWORD) dwStyle ! DWORD dwStyle
  integer(BOOL) bMenu ! BOOL bMenu
  integer(DWORD) dwExStyle ! DWORD dwExStyle
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowContextHelpId( &
        arg1, &
        arg2)
USE DFWINTY
  integer(BOOL) :: SetWindowContextHelpId ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowContextHelpId' :: SetWindowContextHelpId
  integer(HANDLE) arg1 ! HWND arg1
  integer(DWORD) arg2 ! DWORD arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowContextHelpId( &
        arg1)
USE DFWINTY
  integer(DWORD) :: GetWindowContextHelpId ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowContextHelpId' :: GetWindowContextHelpId
  integer(HANDLE) arg1 ! HWND arg1
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetMenuContextHelpId( &
        arg1, &
        arg2)
USE DFWINTY
  integer(BOOL) :: SetMenuContextHelpId ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMenuContextHelpId' :: SetMenuContextHelpId
  integer(HANDLE) arg1 ! HMENU arg1
  integer(DWORD) arg2 ! DWORD arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuContextHelpId( &
        arg1)
USE DFWINTY
  integer(DWORD) :: GetMenuContextHelpId ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuContextHelpId' :: GetMenuContextHelpId
  integer(HANDLE) arg1 ! HMENU arg1
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MessageBox( &
        hWnd, &
        lpText, &
        lpCaption, &
        uType)
USE DFWINTY
  integer(SINT) :: MessageBox ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MessageBoxA' :: MessageBox
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpText
  character*(*) lpText ! LPCSTR lpText
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpCaption
  character*(*) lpCaption ! LPCSTR lpCaption
  integer(UINT) uType ! UINT uType
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MessageBoxEx( &
        hWnd, &
        lpText, &
        lpCaption, &
        uType, &
        wLanguageId)
USE DFWINTY
  integer(SINT) :: MessageBoxEx ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MessageBoxExA' :: MessageBoxEx
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpText
  character*(*) lpText ! LPCSTR lpText
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpCaption
  character*(*) lpCaption ! LPCSTR lpCaption
  integer(UINT) uType ! UINT uType
  integer(WORD) wLanguageId ! WORD wLanguageId
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MessageBoxIndirect( &
        arg1)
USE DFWINTY
  integer(SINT) :: MessageBoxIndirect ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MessageBoxIndirectA' :: MessageBoxIndirect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
  TYPE (T_MSGBOXPARAMS)  arg1 ! MSGBOXPARAMSA*  arg1
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MessageBeep( &
        uType)
USE DFWINTY
  integer(BOOL) :: MessageBeep ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MessageBeep' :: MessageBeep
  integer(UINT) uType ! UINT uType
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ShowCursor( &
        bShow)
USE DFWINTY
  integer(SINT) :: ShowCursor ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ShowCursor' :: ShowCursor
  integer(BOOL) bShow ! BOOL bShow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetCursorPos( &
        X, &
        Y)
USE DFWINTY
  integer(BOOL) :: SetCursorPos ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetCursorPos' :: SetCursorPos
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetCursor( &
        hCursor)
USE DFWINTY
  integer(HANDLE) :: SetCursor ! HCURSOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetCursor' :: SetCursor
  integer(HANDLE) hCursor ! HCURSOR hCursor
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetCursorPos( &
        lpPoint)
USE DFWINTY
  integer(BOOL) :: GetCursorPos ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCursorPos' :: GetCursorPos
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPoint
  TYPE (T_POINT) lpPoint ! LPPOINT lpPoint
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ClipCursor( &
        lpRect)
USE DFWINTY
  integer(BOOL) :: ClipCursor ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ClipCursor' :: ClipCursor
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! RECT* lpRect
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetClipCursor( &
        lpRect)
USE DFWINTY
  integer(BOOL) :: GetClipCursor ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClipCursor' :: GetClipCursor
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! LPRECT lpRect
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetCursor(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetCursor ! HCURSOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCursor' :: GetCursor
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateCaret( &
        hWnd, &
        hBitmap, &
        nWidth, &
        nHeight)
USE DFWINTY
  integer(BOOL) :: CreateCaret ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateCaret' :: CreateCaret
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hBitmap ! HBITMAP hBitmap
  integer(SINT) nWidth ! int nWidth
  integer(SINT) nHeight ! int nHeight
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetCaretBlinkTime(  &
             )
USE DFWINTY
  integer(UINT) :: GetCaretBlinkTime ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCaretBlinkTime' :: GetCaretBlinkTime
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetCaretBlinkTime( &
        uMSeconds)
USE DFWINTY
  integer(BOOL) :: SetCaretBlinkTime ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetCaretBlinkTime' :: SetCaretBlinkTime
  integer(UINT) uMSeconds ! UINT uMSeconds
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DestroyCaret(  &
             )
USE DFWINTY
  integer(BOOL) :: DestroyCaret ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DestroyCaret' :: DestroyCaret
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION HideCaret( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: HideCaret ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'HideCaret' :: HideCaret
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ShowCaret( &
        hWnd)
USE DFWINTY
  integer(BOOL) :: ShowCaret ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ShowCaret' :: ShowCaret
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetCaretPos( &
        X, &
        Y)
USE DFWINTY
  integer(BOOL) :: SetCaretPos ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetCaretPos' :: SetCaretPos
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetCaretPos( &
        lpPoint)
USE DFWINTY
  integer(BOOL) :: GetCaretPos ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCaretPos' :: GetCaretPos
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPoint
  TYPE (T_POINT) lpPoint ! LPPOINT lpPoint
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ClientToScreen( &
        hWnd, &
        lpPoint)
USE DFWINTY
  integer(BOOL) :: ClientToScreen ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ClientToScreen' :: ClientToScreen
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPoint
  TYPE (T_POINT) lpPoint ! LPPOINT lpPoint
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ScreenToClient( &
        hWnd, &
        lpPoint)
USE DFWINTY
  integer(BOOL) :: ScreenToClient ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ScreenToClient' :: ScreenToClient
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPoint
  TYPE (T_POINT) lpPoint ! LPPOINT lpPoint
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MapWindowPoints( &
        hWndFrom, &
        hWndTo, &
        lpPoints, &
        cPoints)
USE DFWINTY
  integer(SINT) :: MapWindowPoints ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MapWindowPoints' :: MapWindowPoints
  integer(HANDLE) hWndFrom ! HWND hWndFrom
  integer(HANDLE) hWndTo ! HWND hWndTo
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPoints
  TYPE (T_POINT) lpPoints ! LPPOINT lpPoints
  integer(UINT) cPoints ! UINT cPoints
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION WindowFromPoint( &
        Point)
USE DFWINTY
  integer(HANDLE) :: WindowFromPoint ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'WindowFromPoint' :: WindowFromPoint
  TYPE (T_POINT) Point ! POINT Point
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ChildWindowFromPoint( &
        hWndParent, &
        Point)
USE DFWINTY
  integer(HANDLE) :: ChildWindowFromPoint ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChildWindowFromPoint' :: ChildWindowFromPoint
  integer(HANDLE) hWndParent ! HWND hWndParent
  TYPE (T_POINT) Point ! POINT Point
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ChildWindowFromPointEx( &
        arg1, &
        arg2, &
        arg3)
USE DFWINTY
  integer(HANDLE) :: ChildWindowFromPointEx ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChildWindowFromPointEx' :: ChildWindowFromPointEx
  integer(HANDLE) arg1 ! HWND arg1
  TYPE (T_POINT) arg2 ! POINT arg2
  integer(UINT) arg3 ! UINT arg3
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetSysColor( &
        nIndex)
USE DFWINTY
  integer(DWORD) :: GetSysColor ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetSysColor' :: GetSysColor
  integer(SINT) nIndex ! int nIndex
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetSysColorBrush( &
        nIndex)
USE DFWINTY
  integer(HANDLE) :: GetSysColorBrush ! HBRUSH
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetSysColorBrush' :: GetSysColorBrush
  integer(SINT) nIndex ! int nIndex
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetSysColors( &
        cElements, &
        lpaElements, &
        lpaRgbValues)
USE DFWINTY
  integer(BOOL) :: SetSysColors ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetSysColors' :: SetSysColors
  integer(SINT) cElements ! int cElements
  integer(LPINT)  lpaElements ! INT*  lpaElements
  integer(LPULONG)  lpaRgbValues ! COLORREF*  lpaRgbValues
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawFocusRect( &
        hDC, &
        lprc)
USE DFWINTY
  integer(BOOL) :: DrawFocusRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawFocusRect' :: DrawFocusRect
  integer(HANDLE) hDC ! HDC hDC
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT)  lprc ! RECT*  lprc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FillRect( &
        hDC, &
        lprc, &
        hbr)
USE DFWINTY
  integer(SINT) :: FillRect ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FillRect' :: FillRect
  integer(HANDLE) hDC ! HDC hDC
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! RECT* lprc
  integer(HANDLE) hbr ! HBRUSH hbr
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FrameRect( &
        hDC, &
        lprc, &
        hbr)
USE DFWINTY
  integer(SINT) :: FrameRect ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FrameRect' :: FrameRect
  integer(HANDLE) hDC ! HDC hDC
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! RECT* lprc
  integer(HANDLE) hbr ! HBRUSH hbr
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION InvertRect( &
        hDC, &
        lprc)
USE DFWINTY
  integer(BOOL) :: InvertRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InvertRect' :: InvertRect
  integer(HANDLE) hDC ! HDC hDC
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! RECT* lprc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetRect( &
        lprc, &
        xLeft, &
        yTop, &
        xRight, &
        yBottom)
USE DFWINTY
  integer(BOOL) :: SetRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetRect' :: SetRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! LPRECT lprc
  integer(SINT) xLeft ! int xLeft
  integer(SINT) yTop ! int yTop
  integer(SINT) xRight ! int xRight
  integer(SINT) yBottom ! int yBottom
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetRectEmpty( &
        lprc)
USE DFWINTY
  integer(BOOL) :: SetRectEmpty ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetRectEmpty' :: SetRectEmpty
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! LPRECT lprc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CopyRect( &
        lprcDst, &
        lprcSrc)
USE DFWINTY
  integer(BOOL) :: CopyRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CopyRect' :: CopyRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcDst
  TYPE (T_RECT) lprcDst ! LPRECT lprcDst
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcSrc
  TYPE (T_RECT) lprcSrc ! RECT* lprcSrc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION InflateRect( &
        lprc, &
        dx, &
        dy)
USE DFWINTY
  integer(BOOL) :: InflateRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InflateRect' :: InflateRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! LPRECT lprc
  integer(SINT) dx ! int dx
  integer(SINT) dy ! int dy
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IntersectRect( &
        lprcDst, &
        lprcSrc1, &
        lprcSrc2)
USE DFWINTY
  integer(BOOL) :: IntersectRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IntersectRect' :: IntersectRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcDst
  TYPE (T_RECT) lprcDst ! LPRECT lprcDst
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcSrc1
  TYPE (T_RECT) lprcSrc1 ! RECT* lprcSrc1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcSrc2
  TYPE (T_RECT) lprcSrc2 ! RECT* lprcSrc2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UnionRect( &
        lprcDst, &
        lprcSrc1, &
        lprcSrc2)
USE DFWINTY
  integer(BOOL) :: UnionRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnionRect' :: UnionRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcDst
  TYPE (T_RECT) lprcDst ! LPRECT lprcDst
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcSrc1
  TYPE (T_RECT) lprcSrc1 ! RECT* lprcSrc1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcSrc2
  TYPE (T_RECT) lprcSrc2 ! RECT* lprcSrc2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SubtractRect( &
        lprcDst, &
        lprcSrc1, &
        lprcSrc2)
USE DFWINTY
  integer(BOOL) :: SubtractRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SubtractRect' :: SubtractRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcDst
  TYPE (T_RECT) lprcDst ! LPRECT lprcDst
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcSrc1
  TYPE (T_RECT) lprcSrc1 ! RECT* lprcSrc1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcSrc2
  TYPE (T_RECT) lprcSrc2 ! RECT* lprcSrc2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION OffsetRect( &
        lprc, &
        dx, &
        dy)
USE DFWINTY
  integer(BOOL) :: OffsetRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OffsetRect' :: OffsetRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! LPRECT lprc
  integer(SINT) dx ! int dx
  integer(SINT) dy ! int dy
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsRectEmpty( &
        lprc)
USE DFWINTY
  integer(BOOL) :: IsRectEmpty ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsRectEmpty' :: IsRectEmpty
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! RECT* lprc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EqualRect( &
        lprc1, &
        lprc2)
USE DFWINTY
  integer(BOOL) :: EqualRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EqualRect' :: EqualRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc1
  TYPE (T_RECT) lprc1 ! RECT* lprc1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc2
  TYPE (T_RECT) lprc2 ! RECT* lprc2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION PtInRect( &
        lprc, &
        pt)
USE DFWINTY
  integer(BOOL) :: PtInRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PtInRect' :: PtInRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE (T_RECT) lprc ! RECT* lprc
  TYPE (T_POINT) pt ! POINT pt
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowWord( &
        hWnd, &
        nIndex)
USE DFWINTY
  integer(WORD) :: GetWindowWord ! WORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowWord' :: GetWindowWord
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nIndex ! int nIndex
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowWord( &
        hWnd, &
        nIndex, &
        wNewWord)
USE DFWINTY
  integer(WORD) :: SetWindowWord ! WORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowWord' :: SetWindowWord
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nIndex ! int nIndex
  integer(WORD) wNewWord ! WORD wNewWord
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowLong( &
        hWnd, &
        nIndex)
USE DFWINTY
  integer(LONG) :: GetWindowLong ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowLongA' :: GetWindowLong
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nIndex ! int nIndex
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowLong( &
        hWnd, &
        nIndex, &
        dwNewLong)
USE DFWINTY
  integer(LONG) :: SetWindowLong ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowLongA' :: SetWindowLong
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nIndex ! int nIndex
  integer(LONG) dwNewLong ! LONG dwNewLong
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetClassWord( &
        hWnd, &
        nIndex)
USE DFWINTY
  integer(WORD) :: GetClassWord ! WORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClassWord' :: GetClassWord
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nIndex ! int nIndex
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetClassWord( &
        hWnd, &
        nIndex, &
        wNewWord)
USE DFWINTY
  integer(WORD) :: SetClassWord ! WORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetClassWord' :: SetClassWord
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nIndex ! int nIndex
  integer(WORD) wNewWord ! WORD wNewWord
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetClassLong( &
        hWnd, &
        nIndex)
USE DFWINTY
  integer(DWORD) :: GetClassLong ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClassLongA' :: GetClassLong
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nIndex ! int nIndex
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetClassLong( &
        hWnd, &
        nIndex, &
        dwNewLong)
USE DFWINTY
  integer(DWORD) :: SetClassLong ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetClassLongA' :: SetClassLong
  integer(HANDLE) hWnd ! HWND hWnd
  integer(SINT) nIndex ! int nIndex
  integer(LONG) dwNewLong ! LONG dwNewLong
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION GetProcessDefaultLayout( &
        pdwDefaultLayout)
USE DFWINTY
  integer(BOOL) :: GetProcessDefaultLayout ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetProcessDefaultLayout' :: GetProcessDefaultLayout
  integer(LPDWORD) pdwDefaultLayout ! DWORD* pdwDefaultLayout
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetProcessDefaultLayout( &
        dwDefaultLayout)
USE DFWINTY
  integer(BOOL) :: SetProcessDefaultLayout ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetProcessDefaultLayout' :: SetProcessDefaultLayout
  integer(DWORD) dwDefaultLayout ! DWORD dwDefaultLayout
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION GetDesktopWindow(  &
             )
USE DFWINTY
  integer(HANDLE) :: GetDesktopWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDesktopWindow' :: GetDesktopWindow
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetParent( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: GetParent ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetParent' :: GetParent
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetParent( &
        hWndChild, &
        hWndNewParent)
USE DFWINTY
  integer(HANDLE) :: SetParent ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetParent' :: SetParent
  integer(HANDLE) hWndChild ! HWND hWndChild
  integer(HANDLE) hWndNewParent ! HWND hWndNewParent
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumChildWindows( &
        hWndParent, &
        lpEnumFunc, &
        lParam)
USE DFWINTY
  integer(BOOL) :: EnumChildWindows ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumChildWindows' :: EnumChildWindows
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(LPVOID) lpEnumFunc ! WNDENUMPROC lpEnumFunc
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE FindWindow
FUNCTION FindWindow_G1( &
        lpClassName, &
        lpWindowName)
USE DFWINTY
  integer(HANDLE) :: FindWindow_G1 ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FindWindowA' :: FindWindow_G1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpClassName
  character*(*) lpClassName ! LPCSTR lpClassName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpWindowName
  character*(*) lpWindowName ! LPCSTR lpWindowName
 END FUNCTION
FUNCTION FindWindow_G2( &
        lpClassName, &
        lpWindowName)
USE DFWINTY
  integer(HANDLE) :: FindWindow_G2 ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FindWindowA' :: FindWindow_G2
  integer(LPVOID) lpClassName ! LPCSTR lpClassName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpWindowName
  character*(*) lpWindowName ! LPCSTR lpWindowName
 END FUNCTION
END INTERFACE
INTERFACE FindWindowEx
FUNCTION FindWindowEx_G1( &
        arg1, &
        arg2, &
        arg3, &
        arg4)
USE DFWINTY
  integer(HANDLE) :: FindWindowEx_G1 ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FindWindowExA' :: FindWindowEx_G1
  integer(HANDLE) arg1 ! HWND arg1
  integer(HANDLE) arg2 ! HWND arg2
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
  character*(*) arg3 ! LPCSTR arg3
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
  character*(*) arg4 ! LPCSTR arg4
 END FUNCTION
FUNCTION FindWindowEx_G2( &
        arg1, &
        arg2, &
        arg3, &
        arg4)
USE DFWINTY
  integer(HANDLE) :: FindWindowEx_G2 ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FindWindowExA' :: FindWindowEx_G2
  integer(HANDLE) arg1 ! HWND arg1
  integer(HANDLE) arg2 ! HWND arg2
  integer(LPVOID) arg3 ! LPCSTR arg3
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
  character*(*) arg4 ! LPCSTR arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumWindows( &
        lpEnumFunc, &
        lParam)
USE DFWINTY
  integer(BOOL) :: EnumWindows ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumWindows' :: EnumWindows
    integer(LPVOID) lpEnumFunc ! WNDENUMPROC lpEnumFunc
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumThreadWindows( &
        dwThreadId, &
        lpfn, &
        lParam)
USE DFWINTY
  integer(BOOL) :: EnumThreadWindows ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumThreadWindows' :: EnumThreadWindows
  integer(DWORD) dwThreadId ! DWORD dwThreadId
  integer(LPVOID)lpfn ! WNDENUMPROC lpfn
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetClassName( &
        hWnd, &
        lpClassName, &
        nMaxCount)
USE DFWINTY
  integer(SINT) :: GetClassName ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClassNameA' :: GetClassName
  integer(HANDLE) hWnd ! HWND hWnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpClassName
  character*(*) lpClassName ! LPSTR lpClassName
  integer(SINT) nMaxCount ! int nMaxCount
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetTopWindow( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: GetTopWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTopWindow' :: GetTopWindow
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowThreadProcessId( &
        hWnd, &
        lpdwProcessId)
USE DFWINTY
  integer(DWORD) :: GetWindowThreadProcessId ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowThreadProcessId' :: GetWindowThreadProcessId
  integer(HANDLE) hWnd ! HWND hWnd
  integer(LPDWORD) lpdwProcessId ! LPDWORD lpdwProcessId
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetLastActivePopup( &
        hWnd)
USE DFWINTY
  integer(HANDLE) :: GetLastActivePopup ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetLastActivePopup' :: GetLastActivePopup
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindow( &
        hWnd, &
        uCmd)
USE DFWINTY
  integer(HANDLE) :: GetWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindow' :: GetWindow
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) uCmd ! UINT uCmd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowsHook( &
        nFilterType, &
        pfnFilterProc)
USE DFWINTY
  integer(HANDLE) :: SetWindowsHook ! HHOOK
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowsHookA' :: SetWindowsHook
  integer(SINT) nFilterType ! int nFilterType
  integer(LPVOID) pfnFilterProc ! HOOKPROC pfnFilterProc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UnhookWindowsHook( &
        nCode, &
        pfnFilterProc)
USE DFWINTY
  integer(BOOL) :: UnhookWindowsHook ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnhookWindowsHook' :: UnhookWindowsHook
  integer(SINT) nCode ! int nCode
  integer(LPVOID) pfnFilterProc ! HOOKPROC pfnFilterProc
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetWindowsHookEx( &
        idHook, &
        lpfn, &
        hmod, &
        dwThreadId)
USE DFWINTY
  integer(HANDLE) :: SetWindowsHookEx ! HHOOK
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowsHookExA' :: SetWindowsHookEx
  integer(SINT) idHook ! int idHook
  integer(LPVOID) lpfn ! HOOKPROC lpfn
  integer(HANDLE) hmod ! HINSTANCE hmod
  integer(DWORD) dwThreadId ! DWORD dwThreadId
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UnhookWindowsHookEx( &
        hhk)
USE DFWINTY
  integer(BOOL) :: UnhookWindowsHookEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnhookWindowsHookEx' :: UnhookWindowsHookEx
  integer(HANDLE) hhk ! HHOOK hhk
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CallNextHookEx( &
        hhk, &
        nCode, &
        wParam, &
        lParam)
USE DFWINTY
  integer(LRESULT) :: CallNextHookEx ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CallNextHookEx' :: CallNextHookEx
  integer(HANDLE) hhk ! HHOOK hhk
  integer(SINT) nCode ! int nCode
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CheckMenuRadioItem( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5)
USE DFWINTY
  integer(BOOL) :: CheckMenuRadioItem ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CheckMenuRadioItem' :: CheckMenuRadioItem
  integer(HANDLE) arg1 ! HMENU arg1
  integer(UINT) arg2 ! UINT arg2
  integer(UINT) arg3 ! UINT arg3
  integer(UINT) arg4 ! UINT arg4
  integer(UINT) arg5 ! UINT arg5
 END FUNCTION
END INTERFACE
INTERFACE LoadBitmap
FUNCTION LoadBitmap_G1( &
        hInstance, &
        lpBitmapName)
USE DFWINTY
  integer(HANDLE) :: LoadBitmap_G1 ! HBITMAP
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadBitmapA' :: LoadBitmap_G1
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpBitmapName
  character*(*) lpBitmapName ! LPCSTR lpBitmapName
 END FUNCTION
FUNCTION LoadBitmap_G2( &
        hInstance, &
        lpBitmapName)
USE DFWINTY
  integer(HANDLE) :: LoadBitmap_G2 ! HBITMAP
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadBitmapA' :: LoadBitmap_G2
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpBitmapName ! LPCSTR lpBitmapName
 END FUNCTION
END INTERFACE
INTERFACE LoadCursor
FUNCTION LoadCursor_G1( &
        hInstance, &
        lpCursorName)
USE DFWINTY
  integer(HANDLE) :: LoadCursor_G1 ! HCURSOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadCursorA' :: LoadCursor_G1
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpCursorName
  character*(*) lpCursorName ! LPCSTR lpCursorName
 END FUNCTION
FUNCTION LoadCursor_G2( &
        hInstance, &
        lpCursorName)
USE DFWINTY
  integer(HANDLE) :: LoadCursor_G2 ! HCURSOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadCursorA' :: LoadCursor_G2
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpCursorName ! LPCSTR lpCursorName
 END FUNCTION
END INTERFACE
INTERFACE LoadCursorFromFile
FUNCTION LoadCursorFromFile_G1( &
        lpFileName)
USE DFWINTY
  integer(HANDLE) :: LoadCursorFromFile_G1 ! HCURSOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadCursorFromFileA' :: LoadCursorFromFile_G1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpFileName
  character*(*) lpFileName ! LPCSTR lpFileName
 END FUNCTION
FUNCTION LoadCursorFromFile_G2( &
        lpFileName)
USE DFWINTY
  integer(HANDLE) :: LoadCursorFromFile_G2 ! HCURSOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadCursorFromFileA' :: LoadCursorFromFile_G2
  integer(LPVOID) lpFileName ! LPCSTR lpFileName
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateCursor( &
        hInst, &
        xHotSpot, &
        yHotSpot, &
        nWidth, &
        nHeight, &
        pvANDPlane, &
        pvXORPlane)
USE DFWINTY
  integer(HANDLE) :: CreateCursor ! HCURSOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateCursor' :: CreateCursor
  integer(HANDLE) hInst ! HINSTANCE hInst
  integer(SINT) xHotSpot ! int xHotSpot
  integer(SINT) yHotSpot ! int yHotSpot
  integer(SINT) nWidth ! int nWidth
  integer(SINT) nHeight ! int nHeight
  integer(LPVOID) pvANDPlane ! void* pvANDPlane
  integer(LPVOID) pvXORPlane ! void* pvXORPlane
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DestroyCursor( &
        hCursor)
USE DFWINTY
  integer(BOOL) :: DestroyCursor ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DestroyCursor' :: DestroyCursor
  integer(HANDLE) hCursor ! HCURSOR hCursor
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetSystemCursor( &
        hcur, &
        id)
USE DFWINTY
  integer(BOOL) :: SetSystemCursor ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetSystemCursor' :: SetSystemCursor
  integer(HANDLE) hcur ! HCURSOR hcur
  integer(DWORD) id ! DWORD id
 END FUNCTION
END INTERFACE
INTERFACE LoadIcon
FUNCTION LoadIcon_G1( &
        hInstance, &
        lpIconName)
USE DFWINTY
  integer(HANDLE) :: LoadIcon_G1 ! HICON
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadIconA' :: LoadIcon_G1
  integer(HANDLE) hInstance ! HINSTANCE hInstance
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpIconName
  character*(*) lpIconName ! LPCSTR lpIconName
 END FUNCTION
FUNCTION LoadIcon_G2( &
        hInstance, &
        lpIconName)
USE DFWINTY
  integer(HANDLE) :: LoadIcon_G2 ! HICON
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadIconA' :: LoadIcon_G2
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LPVOID) lpIconName ! LPCSTR lpIconName
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateIcon( &
        hInstance, &
        nWidth, &
        nHeight, &
        cPlanes, &
        cBitsPixel, &
        lpbANDbits, &
        lpbXORbits)
USE DFWINTY
  integer(HANDLE) :: CreateIcon ! HICON
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateIcon' :: CreateIcon
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(SINT) nWidth ! int nWidth
  integer(SINT) nHeight ! int nHeight
  integer(BYTE) cPlanes ! BYTE cPlanes
  integer(BYTE) cBitsPixel ! BYTE cBitsPixel
  integer(LPBYTE) lpbANDbits ! BYTE* lpbANDbits
  integer(LPBYTE) lpbXORbits ! BYTE* lpbXORbits
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DestroyIcon( &
        hIcon)
USE DFWINTY
  integer(BOOL) :: DestroyIcon ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DestroyIcon' :: DestroyIcon
  integer(HANDLE) hIcon ! HICON hIcon
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LookupIconIdFromDirectory( &
        presbits, &
        fIcon)
USE DFWINTY
  integer(SINT) :: LookupIconIdFromDirectory ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LookupIconIdFromDirectory' :: LookupIconIdFromDirectory
  integer(LPBYTE) presbits ! PBYTE presbits
  integer(BOOL) fIcon ! BOOL fIcon
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LookupIconIdFromDirectoryEx( &
        presbits, &
        fIcon, &
        cxDesired, &
        cyDesired, &
        Flags)
USE DFWINTY
  integer(SINT) :: LookupIconIdFromDirectoryEx ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LookupIconIdFromDirectoryEx' :: LookupIconIdFromDirectoryEx
  integer(LPBYTE) presbits ! PBYTE presbits
  integer(BOOL) fIcon ! BOOL fIcon
  integer(SINT) cxDesired ! int cxDesired
  integer(SINT) cyDesired ! int cyDesired
  integer(UINT) Flags ! UINT Flags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateIconFromResource( &
        presbits, &
        dwResSize, &
        fIcon, &
        dwVer)
USE DFWINTY
  integer(HANDLE) :: CreateIconFromResource ! HICON
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateIconFromResource' :: CreateIconFromResource
  integer(LPBYTE) presbits ! PBYTE presbits
  integer(DWORD) dwResSize ! DWORD dwResSize
  integer(BOOL) fIcon ! BOOL fIcon
  integer(DWORD) dwVer ! DWORD dwVer
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateIconFromResourceEx( &
        presbits, &
        dwResSize, &
        fIcon, &
        dwVer, &
        cxDesired, &
        cyDesired, &
        Flags)
USE DFWINTY
  integer(HANDLE) :: CreateIconFromResourceEx ! HICON
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateIconFromResourceEx' :: CreateIconFromResourceEx
  integer(LPBYTE) presbits ! PBYTE presbits
  integer(DWORD) dwResSize ! DWORD dwResSize
  integer(BOOL) fIcon ! BOOL fIcon
  integer(DWORD) dwVer ! DWORD dwVer
  integer(SINT) cxDesired ! int cxDesired
  integer(SINT) cyDesired ! int cyDesired
  integer(UINT) Flags ! UINT Flags
 END FUNCTION
END INTERFACE
INTERFACE LoadImage
FUNCTION LoadImage_G1( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5, &
        arg6)
USE DFWINTY
  integer(HANDLE) :: LoadImage_G1 ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadImageA' :: LoadImage_G1
  integer(HANDLE) arg1 ! HINSTANCE arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  character*(*) arg2 ! LPCSTR arg2
  integer(UINT) arg3 ! UINT arg3
  integer(SINT) arg4 ! int arg4
  integer(SINT) arg5 ! int arg5
  integer(UINT) arg6 ! UINT arg6
 END FUNCTION
FUNCTION LoadImage_G2( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5, &
        arg6)
USE DFWINTY
  integer(HANDLE) :: LoadImage_G2 ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadImageA' :: LoadImage_G2
  integer(HANDLE) arg1 ! HINSTANCE arg1
  integer(LPVOID) arg2 ! LPCSTR arg2
  integer(UINT) arg3 ! UINT arg3
  integer(SINT) arg4 ! int arg4
  integer(SINT) arg5 ! int arg5
  integer(UINT) arg6 ! UINT arg6
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CopyImage( &
        arg1, &
        arg2, &
        arg3, &
        arg4, &
        arg5)
USE DFWINTY
  integer(HANDLE) :: CopyImage ! HANDLE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CopyImage' :: CopyImage
  integer(HANDLE) arg1 ! HANDLE arg1
  integer(UINT) arg2 ! UINT arg2
  integer(SINT) arg3 ! int arg3
  integer(SINT) arg4 ! int arg4
  integer(UINT) arg5 ! UINT arg5
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DrawIconEx( &
        hdc, &
        xLeft, &
        yTop, &
        hIcon, &
        cxWidth, &
        cyWidth, &
        istepIfAniCur, &
        hbrFlickerFreeDraw, &
        diFlags)
USE DFWINTY
  integer(BOOL) :: DrawIconEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawIconEx' :: DrawIconEx
  integer(HANDLE) hdc ! HDC hdc
  integer(SINT) xLeft ! int xLeft
  integer(SINT) yTop ! int yTop
  integer(HANDLE) hIcon ! HICON hIcon
  integer(SINT) cxWidth ! int cxWidth
  integer(SINT) cyWidth ! int cyWidth
  integer(UINT) istepIfAniCur ! UINT istepIfAniCur
  integer(HANDLE) hbrFlickerFreeDraw ! HBRUSH hbrFlickerFreeDraw
  integer(UINT) diFlags ! UINT diFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateIconIndirect( &
        piconinfo)
USE DFWINTY
  integer(HANDLE) :: CreateIconIndirect ! HICON
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateIconIndirect' :: CreateIconIndirect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: piconinfo
  TYPE(T_ICONINFO)  piconinfo ! PICONINFO piconinfo
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CopyIcon( &
        hIcon)
USE DFWINTY
  integer(HANDLE) :: CopyIcon ! HICON
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CopyIcon' :: CopyIcon
  integer(HANDLE) hIcon ! HICON hIcon
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetIconInfo( &
        hIcon, &
        piconinfo)
USE DFWINTY
  integer(BOOL) :: GetIconInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetIconInfo' :: GetIconInfo
  integer(HANDLE) hIcon ! HICON hIcon
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: piconinfo
  TYPE(T_ICONINFO)  piconinfo ! PICONINFO piconinfo
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LoadString( &
        hInstance, &
        uID, &
        lpBuffer, &
        nBufferMax)
USE DFWINTY
  integer(SINT) :: LoadString ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LoadStringA' :: LoadString
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(UINT) uID ! UINT uID
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpBuffer
  character*(*) lpBuffer ! LPSTR lpBuffer
  integer(SINT) nBufferMax ! int nBufferMax
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION IsDialogMessage( &
        hDlg, &
        lpMsg)
USE DFWINTY
  integer(BOOL) :: IsDialogMessage ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IsDialogMessageA' :: IsDialogMessage
  integer(HANDLE) hDlg ! HWND hDlg
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMsg
  TYPE (T_MSG) lpMsg ! LPMSG lpMsg
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MapDialogRect( &
        hDlg, &
        lpRect)
USE DFWINTY
  integer(BOOL) :: MapDialogRect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MapDialogRect' :: MapDialogRect
  integer(HANDLE) hDlg ! HWND hDlg
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT) lpRect ! LPRECT lpRect
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DlgDirList( &
        hDlg, &
        lpPathSpec, &
        nIDListBox, &
        nIDStaticPath, &
        uFileType)
USE DFWINTY
  integer(SINT) :: DlgDirList ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DlgDirListA' :: DlgDirList
  integer(HANDLE) hDlg ! HWND hDlg
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPathSpec
  character*(*) lpPathSpec ! LPSTR lpPathSpec
  integer(SINT) nIDListBox ! int nIDListBox
  integer(SINT) nIDStaticPath ! int nIDStaticPath
  integer(UINT) uFileType ! UINT uFileType
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DlgDirSelectEx( &
        hDlg, &
        lpString, &
        nCount, &
        nIDListBox)
USE DFWINTY
  integer(BOOL) :: DlgDirSelectEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DlgDirSelectExA' :: DlgDirSelectEx
  integer(HANDLE) hDlg ! HWND hDlg
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPSTR lpString
  integer(SINT) nCount ! int nCount
  integer(SINT) nIDListBox ! int nIDListBox
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DlgDirListComboBox( &
        hDlg, &
        lpPathSpec, &
        nIDComboBox, &
        nIDStaticPath, &
        uFiletype)
USE DFWINTY
  integer(SINT) :: DlgDirListComboBox ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DlgDirListComboBoxA' :: DlgDirListComboBox
  integer(HANDLE) hDlg ! HWND hDlg
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpPathSpec
  character*(*) lpPathSpec ! LPSTR lpPathSpec
  integer(SINT) nIDComboBox ! int nIDComboBox
  integer(SINT) nIDStaticPath ! int nIDStaticPath
  integer(UINT) uFiletype ! UINT uFiletype
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DlgDirSelectComboBoxEx( &
        hDlg, &
        lpString, &
        nCount, &
        nIDComboBox)
USE DFWINTY
  integer(BOOL) :: DlgDirSelectComboBoxEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DlgDirSelectComboBoxExA' :: DlgDirSelectComboBoxEx
  integer(HANDLE) hDlg ! HWND hDlg
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpString
  character*(*) lpString ! LPSTR lpString
  integer(SINT) nCount ! int nCount
  integer(SINT) nIDComboBox ! int nIDComboBox
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION SetScrollInfo( &
        arg1, &
        arg2, &
        arg3, &
        arg4)
USE DFWINTY
  integer(SINT) :: SetScrollInfo ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetScrollInfo' :: SetScrollInfo
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) arg2 ! int arg2
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: arg3
  TYPE(T_SCROLLINFO)  arg3 ! LPCSCROLLINFO arg3
  integer(BOOL) arg4 ! BOOL arg4
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetScrollInfo( &
        arg1, &
        arg2, &
        arg3)
USE DFWINTY
  integer(BOOL) :: GetScrollInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetScrollInfo' :: GetScrollInfo
  integer(HANDLE) arg1 ! HWND arg1
  integer(SINT) arg2 ! int arg2
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
  TYPE (T_SCROLLINFO) arg3 ! LPSCROLLINFO arg3
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DefFrameProc( &
        hWnd, &
        hWndMDIClient, &
        uMsg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(LRESULT) :: DefFrameProc ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DefFrameProcA' :: DefFrameProc
  integer(HANDLE) hWnd ! HWND hWnd
  integer(HANDLE) hWndMDIClient ! HWND hWndMDIClient
  integer(UINT) uMsg ! UINT uMsg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DefMDIChildProc( &
        hWnd, &
        uMsg, &
        wParam, &
        lParam)
USE DFWINTY
  integer(LRESULT) :: DefMDIChildProc ! LRESULT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DefMDIChildProcA' :: DefMDIChildProc
  integer(HANDLE) hWnd ! HWND hWnd
  integer(UINT) uMsg ! UINT uMsg
  integer(UINT_PTR) wParam ! WPARAM wParam
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION TranslateMDISysAccel( &
        hWndClient, &
        lpMsg)
USE DFWINTY
  integer(BOOL) :: TranslateMDISysAccel ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TranslateMDISysAccel' :: TranslateMDISysAccel
  integer(HANDLE) hWndClient ! HWND hWndClient
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpMsg
  TYPE (T_MSG) lpMsg ! LPMSG lpMsg
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ArrangeIconicWindows( &
        hWnd)
USE DFWINTY
  integer(UINT) :: ArrangeIconicWindows ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ArrangeIconicWindows' :: ArrangeIconicWindows
  integer(HANDLE) hWnd ! HWND hWnd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CreateMDIWindow( &
        lpClassName, &
        lpWindowName, &
        dwStyle, &
        X, &
        Y, &
        nWidth, &
        nHeight, &
        hWndParent, &
        hInstance, &
        lParam)
USE DFWINTY
  integer(HANDLE) :: CreateMDIWindow ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateMDIWindowA' :: CreateMDIWindow
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpClassName
  character*(*) lpClassName ! LPCSTR lpClassName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpWindowName
  character*(*) lpWindowName ! LPCSTR lpWindowName
  integer(DWORD) dwStyle ! DWORD dwStyle
  integer(SINT) X ! int X
  integer(SINT) Y ! int Y
  integer(SINT) nWidth ! int nWidth
  integer(SINT) nHeight ! int nHeight
  integer(HANDLE) hWndParent ! HWND hWndParent
  integer(HANDLE) hInstance ! HINSTANCE hInstance
  integer(LRESULT) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION TileWindows( &
        hwndParent, &
        wHow, &
        lpRect, &
        cKids, &
        lpKids)
USE DFWINTY
  integer(WORD) :: TileWindows ! WORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TileWindows' :: TileWindows
  integer(HANDLE) hwndParent ! HWND hwndParent
  integer(UINT) wHow ! UINT wHow
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT)  lpRect ! RECT*  lpRect
  integer(UINT) cKids ! UINT cKids
  integer(PHANDLE) lpKids ! HWND*  lpKids
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION CascadeWindows( &
        hwndParent, &
        wHow, &
        lpRect, &
        cKids, &
        lpKids)
USE DFWINTY
  integer(WORD) :: CascadeWindows ! WORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CascadeWindows' :: CascadeWindows
  integer(HANDLE) hwndParent ! HWND hwndParent
  integer(UINT) wHow ! UINT wHow
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpRect
  TYPE (T_RECT)  lpRect ! RECT*  lpRect
  integer(UINT) cKids ! UINT cKids
  integer(PHANDLE) lpKids ! HWND*  lpKids
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION WinHelp( &
        hWndMain, &
        lpszHelp, &
        uCommand, &
        dwData)
USE DFWINTY
  integer(BOOL) :: WinHelp ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'WinHelpA' :: WinHelp
  integer(HANDLE) hWndMain ! HWND hWndMain
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszHelp
  character*(*) lpszHelp ! LPCSTR lpszHelp
  integer(UINT) uCommand ! UINT uCommand
  integer(ULONG_PTR) dwData ! ULONG_PTR dwData
 END FUNCTION
END INTERFACE
!DEC$ IF DEFINED( _M_IA64)
INTERFACE 
FUNCTION GetGuiResources( &
        hProcess, &
        uiFlags)
USE DFWINTY
  integer(DWORD) :: GetGuiResources ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetGuiResources' :: GetGuiResources
  integer(HANDLE) hProcess ! HANDLE hProcess
  integer(DWORD) uiFlags ! DWORD uiFlags
END FUNCTION
END INTERFACE
!DEC$ ENDIF
INTERFACE 
FUNCTION ChangeDisplaySettings( &
        lpDevMode, &
        dwFlags)
USE DFWINTY
  integer(LONG) :: ChangeDisplaySettings ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChangeDisplaySettingsA' :: ChangeDisplaySettings
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpDevMode
  TYPE (T_DEVMODE) lpDevMode ! LPDEVMODEA lpDevMode
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ChangeDisplaySettingsEx( &
        lpszDeviceName, &
        lpDevMode, &
        hwnd, &
        dwflags, &
        lParam)
USE DFWINTY
  integer(LONG) :: ChangeDisplaySettingsEx ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChangeDisplaySettingsExA' :: ChangeDisplaySettingsEx
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDeviceName
  character*(*) lpszDeviceName ! LPCSTR lpszDeviceName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpDevMode
  TYPE (T_DEVMODE) lpDevMode ! LPDEVMODEA lpDevMode
  integer(HANDLE) hwnd ! HWND hwnd
  integer(DWORD) dwflags ! DWORD dwflags
  integer(LPVOID) lParam ! LPVOID lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumDisplaySettings( &
        lpszDeviceName, &
        iModeNum, &
        lpDevMode)
USE DFWINTY
  integer(BOOL) :: EnumDisplaySettings ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumDisplaySettingsA' :: EnumDisplaySettings
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDeviceName
  character*(*) lpszDeviceName ! LPCSTR lpszDeviceName
  integer(DWORD) iModeNum ! DWORD iModeNum
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpDevMode
  TYPE (T_DEVMODE) lpDevMode ! LPDEVMODEA lpDevMode
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION EnumDisplaySettingsEx( &
        lpszDeviceName, &
        iModeNum, &
        lpDevMode, &
        dwFlags)
USE DFWINTY
  integer(BOOL) :: EnumDisplaySettingsEx ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumDisplaySettingsExA' :: EnumDisplaySettingsEx
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpszDeviceName
  character*(*) lpszDeviceName ! LPCSTR lpszDeviceName
  integer(DWORD) iModeNum ! DWORD iModeNum
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpDevMode
  TYPE (T_DEVMODE) lpDevMode ! LPDEVMODEA lpDevMode
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumDisplayDevices( &
        lpDevice, &
        iDevNum, &
        lpDisplayDevice, &
        dwFlags)
USE DFWINTY
  integer(BOOL) :: EnumDisplayDevices ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumDisplayDevicesA' :: EnumDisplayDevices
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpDevice
  character*(*) lpDevice ! LPCSTR lpDevice
  integer(DWORD) iDevNum ! DWORD iDevNum
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpDisplayDevice
  TYPE (T_DISPLAY_DEVICE) lpDisplayDevice ! PDISPLAY_DEVICEA lpDisplayDevice
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION SystemParametersInfo( &
        uiAction, &
        uiParam, &
        pvParam, &
        fWinIni)
USE DFWINTY
  integer(BOOL) :: SystemParametersInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SystemParametersInfoA' :: SystemParametersInfo
  integer(UINT) uiAction ! UINT uiAction
  integer(UINT) uiParam ! UINT uiParam
  integer(PVOID) pvParam ! PVOID pvParam
  integer(UINT) fWinIni ! UINT fWinIni
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE SetDebugErrorLevel( &
        dwLevel)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetDebugErrorLevel' :: SetDebugErrorLevel
  integer(DWORD) dwLevel ! DWORD dwLevel
 END SUBROUTINE
END INTERFACE
INTERFACE 
   SUBROUTINE SetLastErrorEx( &
        dwErrCode, &
        dwType)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetLastErrorEx' :: SetLastErrorEx
  integer(DWORD) dwErrCode ! DWORD dwErrCode
  integer(DWORD) dwType ! DWORD dwType
 END SUBROUTINE
END INTERFACE
INTERFACE 
!DEC$ IF DEFINED( _M_IA64)
FUNCTION MonitorFromPoint( &
        pt, &
        dwFlags)
USE DFWINTY
  integer(HANDLE) :: MonitorFromPoint ! HMONITOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MonitorFromPoint' :: MonitorFromPoint
  TYPE (T_POINT) pt ! POINT pt
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MonitorFromRect( &
        lprc, &
        dwFlags)
USE DFWINTY
  integer(HANDLE) :: MonitorFromRect ! HMONITOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MonitorFromRect' :: MonitorFromRect
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprc
  TYPE(T_RECT) lprc ! LPCRECT lprc
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION MonitorFromWindow( &
        hwnd, &
        dwFlags)
USE DFWINTY
  integer(HANDLE) :: MonitorFromWindow ! HMONITOR
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MonitorFromWindow' :: MonitorFromWindow
  integer(HANDLE) hwnd ! HWND hwnd
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMonitorInfo( &
        hMonitor, &
        lpmi)
USE DFWINTY
  integer(BOOL) :: GetMonitorInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMonitorInfoA' :: GetMonitorInfo
  integer(HANDLE) hMonitor ! HMONITOR hMonitor
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpmi
  TYPE (T_MONITORINFO) lpmi ! LPMONITORINFO lpmi
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION EnumDisplayMonitors( &
        hdc, &
        lprcClip, &
        lpfnEnum, &
        dwData)
USE DFWINTY
  integer(BOOL) :: EnumDisplayMonitors ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumDisplayMonitors' :: EnumDisplayMonitors
  integer(HANDLE) hdc ! HDC hdc
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lprcClip
  TYPE(T_RECT)  lprcClip ! LPCRECT lprcClip
  integer(LPVOID) lpfnEnum ! MONITORENUMPROC lpfnEnum
  integer(LONG_PTR) dwData ! LPARAM dwData
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE NotifyWinEvent( &
        event, &
        hwnd, &
        idObject, &
        idChild)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'NotifyWinEvent' :: NotifyWinEvent
  integer(DWORD) event ! DWORD event
  integer(HANDLE) hwnd ! HWND hwnd
  integer(LONG) idObject ! LONG idObject
  integer(LONG) idChild ! LONG idChild
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION SetWinEventHook( &
        eventMin, &
        eventMax, &
        hmodWinEventProc, &
        pfnWinEventProc, &
        idProcess, &
        idThread, &
        dwFlags)
USE DFWINTY
  integer(HANDLE) :: SetWinEventHook ! HWINEVENTHOOK
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWinEventHook' :: SetWinEventHook
  integer(DWORD) eventMin ! DWORD eventMin
  integer(DWORD) eventMax ! DWORD eventMax
  integer(HANDLE) hmodWinEventProc ! HMODULE hmodWinEventProc
  integer(LPVOID) pfnWinEventProc ! WINEVENTPROC pfnWinEventProc
  integer(DWORD) idProcess ! DWORD idProcess
  integer(DWORD) idThread ! DWORD idThread
  integer(DWORD) dwFlags ! DWORD dwFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UnhookWinEvent( &
        hWinEventHook)
USE DFWINTY
  integer(BOOL) :: UnhookWinEvent ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnhookWinEvent' :: UnhookWinEvent
  integer(HANDLE) hWinEventHook ! HWINEVENTHOOK hWinEventHook
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetGUIThreadInfo( &
        idThread, &
        pgui)
USE DFWINTY
  integer(BOOL) :: GetGUIThreadInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetGUIThreadInfo' :: GetGUIThreadInfo
  integer(DWORD) idThread ! DWORD idThread
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pgui
  TYPE (T_GUITHREADINFO) pgui ! PGUITHREADINFO pgui
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowModuleFileName( &
        hwnd, &
        pszFileName, &
        cchFileNameMax)
USE DFWINTY
  integer(UINT) :: GetWindowModuleFileName ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowModuleFileNameA' :: GetWindowModuleFileName
  integer(HANDLE) hwnd ! HWND hwnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pszFileName
  character*(*) pszFileName ! LPSTR pszFileName
  integer(UINT) cchFileNameMax ! UINT cchFileNameMax
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetCursorInfo( &
        pci)
USE DFWINTY
  integer(BOOL) :: GetCursorInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCursorInfo' :: GetCursorInfo
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pci
  TYPE (T_CURSORINFO) pci ! PCURSORINFO pci
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetWindowInfo( &
        hwnd, &
        pwi)
USE DFWINTY
  integer(BOOL) :: GetWindowInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowInfo' :: GetWindowInfo
  integer(HANDLE) hwnd ! HWND hwnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pwi
  TYPE (T_WINDOWINFO) pwi ! PWINDOWINFO pwi
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetTitleBarInfo( &
        hwnd, &
        pti)
USE DFWINTY
  integer(BOOL) :: GetTitleBarInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTitleBarInfo' :: GetTitleBarInfo
  integer(HANDLE) hwnd ! HWND hwnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pti
  TYPE (T_TITLEBARINFO) pti ! PTITLEBARINFO pti
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetMenuBarInfo( &
        hwnd, &
        idObject, &
        idItem, &
        pmbi)
USE DFWINTY
  integer(BOOL) :: GetMenuBarInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMenuBarInfo' :: GetMenuBarInfo
  integer(HANDLE) hwnd ! HWND hwnd
  integer(LONG) idObject ! LONG idObject
  integer(LONG) idItem ! LONG idItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pmbi
  TYPE (T_MENUBARINFO) pmbi ! PMENUBARINFO pmbi
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetScrollBarInfo( &
        hwnd, &
        idObject, &
        psbi)
USE DFWINTY
  integer(BOOL) :: GetScrollBarInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetScrollBarInfo' :: GetScrollBarInfo
  integer(HANDLE) hwnd ! HWND hwnd
  integer(LONG) idObject ! LONG idObject
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: psbi
  TYPE (T_SCROLLBARINFO) psbi ! PSCROLLBARINFO psbi
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetComboBoxInfo( &
        hwndCombo, &
        pcbi)
USE DFWINTY
  integer(BOOL) :: GetComboBoxInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetComboBoxInfo' :: GetComboBoxInfo
  integer(HANDLE) hwndCombo ! HWND hwndCombo
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pcbi
  TYPE (T_COMBOBOXINFO) pcbi ! PCOMBOBOXINFO pcbi
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetAncestor( &
        hwnd, &
        gaFlags)
USE DFWINTY
  integer(HANDLE) :: GetAncestor ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetAncestor' :: GetAncestor
  integer(HANDLE) hwnd ! HWND hwnd
  integer(UINT) gaFlags ! UINT gaFlags
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RealChildWindowFromPoint( &
        hwndParent, &
        ptParentClientCoords)
USE DFWINTY
  integer(HANDLE) :: RealChildWindowFromPoint ! HWND
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RealChildWindowFromPoint' :: RealChildWindowFromPoint
  integer(HANDLE) hwndParent ! HWND hwndParent
  TYPE (T_POINT) ptParentClientCoords ! POINT ptParentClientCoords
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION RealGetWindowClass( &
        hwnd, &
        pszType, &
        cchType)
USE DFWINTY
  integer(UINT) :: RealGetWindowClass ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RealGetWindowClassA' :: RealGetWindowClass
  integer(HANDLE) hwnd ! HWND hwnd
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pszType
  character*(*) pszType ! LPSTR pszType
  integer(UINT) cchType ! UINT cchType
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetAltTabInfo( &
        hwnd, &
        iItem, &
        pati, &
        pszItemText, &
        cchItemText)
USE DFWINTY
  integer(BOOL) :: GetAltTabInfo ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetAltTabInfoA' :: GetAltTabInfo
  integer(HANDLE) hwnd ! HWND hwnd
  integer(SINT) iItem ! int iItem
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pati
  TYPE (T_ALTTABINFO) pati ! PALTTABINFO pati
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pszItemText
  character*(*) pszItemText ! LPSTR pszItemText
  integer(UINT) cchItemText ! UINT cchItemText
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetListBoxInfo( &
        hwnd)
USE DFWINTY
  integer(DWORD) :: GetListBoxInfo ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetListBoxInfo' :: GetListBoxInfo
  integer(HANDLE) hwnd ! HWND hwnd
 END FUNCTION
END INTERFACE
INTERFACE 
!DEC$ ENDIF
FUNCTION DdeSetQualityOfService( &
        hwndClient, &
        pqosNew, &
        pqosPrev)
USE DFWINTY
  integer(BOOL) :: DdeSetQualityOfService ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeSetQualityOfService' :: DdeSetQualityOfService
  integer(HANDLE) hwndClient ! HWND hwndClient
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pqosNew
  TYPE (T_SECURITY_QUALITY_OF_SERVICE) pqosNew ! SECURITY_QUALITY_OF_SERVICE* pqosNew
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pqosPrev
  TYPE (T_SECURITY_QUALITY_OF_SERVICE) pqosPrev ! PSECURITY_QUALITY_OF_SERVICE pqosPrev
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ImpersonateDdeClientWindow( &
        hWndClient, &
        hWndServer)
USE DFWINTY
  integer(BOOL) :: ImpersonateDdeClientWindow ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ImpersonateDdeClientWindow' :: ImpersonateDdeClientWindow
  integer(HANDLE) hWndClient ! HWND hWndClient
  integer(HANDLE) hWndServer ! HWND hWndServer
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION PackDDElParam( &
        msg, &
        uiLo, &
        uiHi)
USE DFWINTY
  integer(LONG_PTR) :: PackDDElParam ! LPARAM
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PackDDElParam' :: PackDDElParam
  integer(UINT) msg ! UINT msg
  integer(UINT_PTR) uiLo ! UINT_PTR uiLo
  integer(UINT_PTR) uiHi ! UINT_PTR uiHi
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION UnpackDDElParam( &
        msg, &
        lParam, &
        puiLo, &
        puiHi)
USE DFWINTY
  integer(BOOL) :: UnpackDDElParam ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnpackDDElParam' :: UnpackDDElParam
  integer(UINT) msg ! UINT msg
  integer(LONG_PTR) lParam ! LPARAM lParam
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: puiLo
  integer(PUINT) puiLo ! PUINT_PTR puiLo
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: puiHi
  integer(PUINT) puiHi ! PUINT_PTR puiHi
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION FreeDDElParam( &
        msg, &
        lParam)
USE DFWINTY
  integer(BOOL) :: FreeDDElParam ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FreeDDElParam' :: FreeDDElParam
  integer(UINT) msg ! UINT msg
  integer(LONG_PTR) lParam ! LPARAM lParam
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION ReuseDDElParam( &
        lParam, &
        msgIn, &
        msgOut, &
        uiLo, &
        uiHi)
USE DFWINTY
  integer(LONG_PTR) :: ReuseDDElParam ! LPARAM
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ReuseDDElParam' :: ReuseDDElParam
  integer(LONG_PTR) lParam ! LPARAM lParam
  integer(UINT) msgIn ! UINT msgIn
  integer(UINT) msgOut ! UINT msgOut
  integer(UINT_PTR) uiLo ! UINT_PTR uiLo
  integer(UINT_PTR) uiHi ! UINT_PTR uiHi
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeInitialize( &
        pidInst, &
        pfnCallback, &
        afCmd, &
        ulRes)
USE DFWINTY
  integer(UINT) :: DdeInitialize ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeInitializeA' :: DdeInitialize
  integer(LPDWORD) pidInst ! LPDWORD pidInst
  integer(LPVOID) pfnCallback ! PFNCALLBACK pfnCallback
  integer(DWORD) afCmd ! DWORD afCmd
  integer(DWORD) ulRes ! DWORD ulRes
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeUninitialize( &
        idInst)
USE DFWINTY
  integer(BOOL) :: DdeUninitialize ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeUninitialize' :: DdeUninitialize
  integer(DWORD) idInst ! DWORD idInst
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeConnectList( &
        idInst, &
        hszService, &
        hszTopic, &
        hConvList, &
        pCC)
USE DFWINTY
  integer(HANDLE) :: DdeConnectList ! HCONVLIST
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeConnectList' :: DdeConnectList
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hszService ! HSZ hszService
  integer(HANDLE) hszTopic ! HSZ hszTopic
  integer(HANDLE) hConvList ! HCONVLIST hConvList
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pCC
  TYPE(T_CONVCONTEXT)  pCC ! PCONVCONTEXT pCC
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeQueryNextServer( &
        hConvList, &
        hConvPrev)
USE DFWINTY
  integer(HANDLE) :: DdeQueryNextServer ! HCONV
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeQueryNextServer' :: DdeQueryNextServer
  integer(HANDLE) hConvList ! HCONVLIST hConvList
  integer(HANDLE) hConvPrev ! HCONV hConvPrev
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeDisconnectList( &
        hConvList)
USE DFWINTY
  integer(BOOL) :: DdeDisconnectList ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeDisconnectList' :: DdeDisconnectList
  integer(HANDLE) hConvList ! HCONVLIST hConvList
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeConnect( &
        idInst, &
        hszService, &
        hszTopic, &
        pCC)
USE DFWINTY
  integer(HANDLE) :: DdeConnect ! HCONV
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeConnect' :: DdeConnect
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hszService ! HSZ hszService
  integer(HANDLE) hszTopic ! HSZ hszTopic
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pCC
  TYPE(T_CONVCONTEXT)  pCC ! PCONVCONTEXT pCC
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeDisconnect( &
        hConv)
USE DFWINTY
  integer(BOOL) :: DdeDisconnect ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeDisconnect' :: DdeDisconnect
  integer(HANDLE) hConv ! HCONV hConv
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeReconnect( &
        hConv)
USE DFWINTY
  integer(HANDLE) :: DdeReconnect ! HCONV
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeReconnect' :: DdeReconnect
  integer(HANDLE) hConv ! HCONV hConv
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeQueryConvInfo( &
        hConv, &
        idTransaction, &
        pConvInfo)
USE DFWINTY
  integer(UINT) :: DdeQueryConvInfo ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeQueryConvInfo' :: DdeQueryConvInfo
  integer(HANDLE) hConv ! HCONV hConv
  integer(DWORD) idTransaction ! DWORD idTransaction
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: pConvInfo
 TYPE(T_CONVINFO)  pConvInfo ! PCONVINFO pConvInfo
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeSetUserHandle( &
        hConv, &
        id, &
        hUser)
USE DFWINTY
  integer(BOOL) :: DdeSetUserHandle ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeSetUserHandle' :: DdeSetUserHandle
  integer(HANDLE) hConv ! HCONV hConv
  integer(DWORD) id ! DWORD id
  integer(DWORD_PTR) hUser ! DWORD_PTR hUser
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeAbandonTransaction( &
        idInst, &
        hConv, &
        idTransaction)
USE DFWINTY
  integer(BOOL) :: DdeAbandonTransaction ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeAbandonTransaction' :: DdeAbandonTransaction
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hConv ! HCONV hConv
  integer(DWORD) idTransaction ! DWORD idTransaction
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdePostAdvise( &
        idInst, &
        hszTopic, &
        hszItem)
USE DFWINTY
  integer(BOOL) :: DdePostAdvise ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdePostAdvise' :: DdePostAdvise
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hszTopic ! HSZ hszTopic
  integer(HANDLE) hszItem ! HSZ hszItem
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeEnableCallback( &
        idInst, &
        hConv, &
        wCmd)
USE DFWINTY
  integer(BOOL) :: DdeEnableCallback ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeEnableCallback' :: DdeEnableCallback
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hConv ! HCONV hConv
  integer(UINT) wCmd ! UINT wCmd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeImpersonateClient( &
        hConv)
USE DFWINTY
  integer(BOOL) :: DdeImpersonateClient ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeImpersonateClient' :: DdeImpersonateClient
  integer(HANDLE) hConv ! HCONV hConv
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeNameService( &
        idInst, &
        hsz1, &
        hsz2, &
        afCmd)
USE DFWINTY
  integer(HANDLE) :: DdeNameService ! HDDEDATA
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeNameService' :: DdeNameService
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hsz1 ! HSZ hsz1
  integer(HANDLE) hsz2 ! HSZ hsz2
  integer(UINT) afCmd ! UINT afCmd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeClientTransaction( &
        pData, &
        cbData, &
        hConv, &
        hszItem, &
        wFmt, &
        wType, &
        dwTimeout, &
        pdwResult)
USE DFWINTY
  integer(HANDLE) :: DdeClientTransaction ! HDDEDATA
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeClientTransaction' :: DdeClientTransaction
  integer(LPBYTE) pData ! LPBYTE pData
  integer(DWORD) cbData ! DWORD cbData
  integer(HANDLE) hConv ! HCONV hConv
  integer(HANDLE) hszItem ! HSZ hszItem
  integer(UINT) wFmt ! UINT wFmt
  integer(UINT) wType ! UINT wType
  integer(DWORD) dwTimeout ! DWORD dwTimeout
  integer(LPDWORD) pdwResult ! LPDWORD pdwResult
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeCreateDataHandle( &
        idInst, &
        pSrc, &
        cb, &
        cbOff, &
        hszItem, &
        wFmt, &
        afCmd)
USE DFWINTY
  integer(HANDLE) :: DdeCreateDataHandle ! HDDEDATA
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeCreateDataHandle' :: DdeCreateDataHandle
  integer(DWORD) idInst ! DWORD idInst
  integer(LPBYTE) pSrc ! LPBYTE pSrc
  integer(DWORD) cb ! DWORD cb
  integer(DWORD) cbOff ! DWORD cbOff
  integer(HANDLE) hszItem ! HSZ hszItem
  integer(UINT) wFmt ! UINT wFmt
  integer(UINT) afCmd ! UINT afCmd
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeAddData( &
        hData, &
        pSrc, &
        cb, &
        cbOff)
USE DFWINTY
  integer(HANDLE) :: DdeAddData ! HDDEDATA
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeAddData' :: DdeAddData
  integer(HANDLE) hData ! HDDEDATA hData
  integer(LPBYTE) pSrc ! LPBYTE pSrc
  integer(DWORD) cb ! DWORD cb
  integer(DWORD) cbOff ! DWORD cbOff
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeGetData( &
        hData, &
        pDst, &
        cbMax, &
        cbOff)
USE DFWINTY
  integer(DWORD) :: DdeGetData ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeGetData' :: DdeGetData
  integer(HANDLE) hData ! HDDEDATA hData
  integer(LPBYTE) pDst ! LPBYTE pDst
  integer(DWORD) cbMax ! DWORD cbMax
  integer(DWORD) cbOff ! DWORD cbOff
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeAccessData( &
        hData, &
        pcbDataSize)
USE DFWINTY
  integer(LPBYTE) :: DdeAccessData ! LPBYTE
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeAccessData' :: DdeAccessData
  integer(HANDLE) hData ! HDDEDATA hData
  integer(LPDWORD) pcbDataSize ! LPDWORD pcbDataSize
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeUnaccessData( &
        hData)
USE DFWINTY
  integer(BOOL) :: DdeUnaccessData ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeUnaccessData' :: DdeUnaccessData
  integer(HANDLE) hData ! HDDEDATA hData
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeFreeDataHandle( &
        hData)
USE DFWINTY
  integer(BOOL) :: DdeFreeDataHandle ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeFreeDataHandle' :: DdeFreeDataHandle
  integer(HANDLE) hData ! HDDEDATA hData
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeGetLastError( &
        idInst)
USE DFWINTY
  integer(UINT) :: DdeGetLastError ! UINT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeGetLastError' :: DdeGetLastError
  integer(DWORD) idInst ! DWORD idInst
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeCreateStringHandle( &
        idInst, &
        psz, &
        iCodePage)
USE DFWINTY
  integer(HANDLE) :: DdeCreateStringHandle ! HSZ
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeCreateStringHandleA' :: DdeCreateStringHandle
  integer(DWORD) idInst ! DWORD idInst
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: psz
  character*(*) psz ! LPCSTR psz
  integer(SINT) iCodePage ! int iCodePage
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeQueryString( &
        idInst, &
        hsz, &
        psz, &
        cchMax, &
        iCodePage)
USE DFWINTY
  integer(DWORD) :: DdeQueryString ! DWORD
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeQueryStringA' :: DdeQueryString
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hsz ! HSZ hsz
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: psz
  character*(*) psz ! LPSTR psz
  integer(DWORD) cchMax ! DWORD cchMax
  integer(SINT) iCodePage ! int iCodePage
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeFreeStringHandle( &
        idInst, &
        hsz)
USE DFWINTY
  integer(BOOL) :: DdeFreeStringHandle ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeFreeStringHandle' :: DdeFreeStringHandle
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hsz ! HSZ hsz
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeKeepStringHandle( &
        idInst, &
        hsz)
USE DFWINTY
  integer(BOOL) :: DdeKeepStringHandle ! BOOL
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeKeepStringHandle' :: DdeKeepStringHandle
  integer(DWORD) idInst ! DWORD idInst
  integer(HANDLE) hsz ! HSZ hsz
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION DdeCmpStringHandles( &
        hsz1, &
        hsz2)
USE DFWINTY
  integer(SINT) :: DdeCmpStringHandles ! int
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DdeCmpStringHandles' :: DdeCmpStringHandles
  integer(HANDLE) hsz1 ! HSZ hsz1
  integer(HANDLE) hsz2 ! HSZ hsz2
 END FUNCTION
END INTERFACE
!
end module user32
!
!DEC$ ENDIF ! /* USER32_ */
